Package io.vertx.redis.client

## Interface RedisAPI

-     public interface RedisAPI

  Auto generated Redis API client wrapper.
  Version:
    redis_version:7.0.12

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default Future<Response>` | `acl​(List<String> args)` | A container for Access List Control commands.
    `static RedisAPI` | `api​(Redis client)` |
    `static RedisAPI` | `api​(RedisConnection connection)` |
    `default Future<Response>` | `append​(String arg0, String arg1)` | Append a value to a key.
    `default Future<Response>` | `asking()` | Sent by cluster clients after an -ASK redirect.
    `default Future<Response>` | `auth​(List<String> args)` | Authenticate to the server.
    `default Future<Response>` | `bfAdd​(List<String> args)` | Redis command BF.ADD.
    `default Future<Response>` | `bfCard​(List<String> args)` | Redis command BF.CARD.
    `default Future<Response>` | `bfDebug​(List<String> args)` | Redis command BF.DEBUG.
    `default Future<Response>` | `bfExists​(List<String> args)` | Redis command BF.EXISTS.
    `default Future<Response>` | `bfInfo​(List<String> args)` | Redis command BF.INFO.
    `default Future<Response>` | `bfInsert​(List<String> args)` | Redis command BF.INSERT.
    `default Future<Response>` | `bfLoadchunk​(List<String> args)` | Redis command BF.LOADCHUNK.
    `default Future<Response>` | `bfMadd​(List<String> args)` | Redis command BF.MADD.
    `default Future<Response>` | `bfMexists​(List<String> args)` | Redis command BF.MEXISTS.
    `default Future<Response>` | `bfReserve​(List<String> args)` | Redis command BF.RESERVE.
    `default Future<Response>` | `bfScandump​(List<String> args)` | Redis command BF.SCANDUMP.
    `default Future<Response>` | `bgrewriteaof()` | Asynchronously rewrite the append-only file.
    `default Future<Response>` | `bgsave​(List<String> args)` | Asynchronously save the dataset to disk.
    `default Future<Response>` | `bitcount​(List<String> args)` | Count set bits in a string.
    `default Future<Response>` | `bitfield​(List<String> args)` | Perform arbitrary bitfield integer operations on strings.
    `default Future<Response>` | `bitfieldRo​(List<String> args)` | Perform arbitrary bitfield integer operations on strings.
    `default Future<Response>` | `bitop​(List<String> args)` | Perform bitwise operations between strings.
    `default Future<Response>` | `bitpos​(List<String> args)` | Find first bit set or clear in a string.
    `default Future<Response>` | `blmove​(String arg0, String arg1, String arg2, String arg3, String arg4)` | Pop an element from a list, push it to another list and return it; or block until one is available.
    `default Future<Response>` | `blmpop​(List<String> args)` | Pop elements from a list, or block until one is available.
    `default Future<Response>` | `blpop​(List<String> args)` | Remove and get the first element in a list, or block until one is available.
    `default Future<Response>` | `brpop​(List<String> args)` | Remove and get the last element in a list, or block until one is available.
    `default Future<Response>` | `brpoplpush​(String arg0, String arg1, String arg2)` | Deprecated. since: 6.2.0, replaced by: `BLMOVE` with the `RIGHT` and `LEFT` arguments
    `default Future<Response>` | `bzmpop​(List<String> args)` | Remove and return members with scores in a sorted set or block until one is available.
    `default Future<Response>` | `bzpopmax​(List<String> args)` | Remove and return the member with the highest score from one or more sorted sets, or block until one is available.
    `default Future<Response>` | `bzpopmin​(List<String> args)` | Remove and return the member with the lowest score from one or more sorted sets, or block until one is available.
    `default Future<Response>` | `cfAdd​(List<String> args)` | Redis command CF.ADD.
    `default Future<Response>` | `cfAddnx​(List<String> args)` | Redis command CF.ADDNX.
    `default Future<Response>` | `cfCompact​(List<String> args)` | Redis command CF.COMPACT.
    `default Future<Response>` | `cfCount​(List<String> args)` | Redis command CF.COUNT.
    `default Future<Response>` | `cfDebug​(List<String> args)` | Redis command CF.DEBUG.
    `default Future<Response>` | `cfDel​(List<String> args)` | Redis command CF.DEL.
    `default Future<Response>` | `cfExists​(List<String> args)` | Redis command CF.EXISTS.
    `default Future<Response>` | `cfInfo​(List<String> args)` | Redis command CF.INFO.
    `default Future<Response>` | `cfInsert​(List<String> args)` | Redis command CF.INSERT.
    `default Future<Response>` | `cfInsertnx​(List<String> args)` | Redis command CF.INSERTNX.
    `default Future<Response>` | `cfLoadchunk​(List<String> args)` | Redis command CF.LOADCHUNK.
    `default Future<Response>` | `cfMexists​(List<String> args)` | Redis command CF.MEXISTS.
    `default Future<Response>` | `cfReserve​(List<String> args)` | Redis command CF.RESERVE.
    `default Future<Response>` | `cfScandump​(List<String> args)` | Redis command CF.SCANDUMP.
    `default Future<Response>` | `client​(List<String> args)` | A container for client connection commands.
    `void` | `close()` |
    `default Future<Response>` | `cluster​(List<String> args)` | A container for cluster commands.
    `default Future<Response>` | `cmsIncrby​(List<String> args)` | Redis command CMS.INCRBY.
    `default Future<Response>` | `cmsInfo​(List<String> args)` | Redis command CMS.INFO.
    `default Future<Response>` | `cmsInitbydim​(List<String> args)` | Redis command CMS.INITBYDIM.
    `default Future<Response>` | `cmsInitbyprob​(List<String> args)` | Redis command CMS.INITBYPROB.
    `default Future<Response>` | `cmsMerge​(List<String> args)` | Redis command CMS.MERGE.
    `default Future<Response>` | `cmsQuery​(List<String> args)` | Redis command CMS.QUERY.
    `default Future<Response>` | `command​(List<String> args)` | Get array of Redis command details.
    `default Future<Response>` | `config​(List<String> args)` | A container for server configuration commands.
    `default Future<Response>` | `copy​(List<String> args)` | Copy a key.
    `default Future<Response>` | `dbsize()` | Return the number of keys in the selected database.
    `default Future<Response>` | `debug​(List<String> args)` | A container for debugging commands.
    `default Future<Response>` | `decr​(String arg0)` | Decrement the integer value of a key by one.
    `default Future<Response>` | `decrby​(String arg0, String arg1)` | Decrement the integer value of a key by the given number.
    `default Future<Response>` | `del​(List<String> args)` | Delete a key.
    `default Future<Response>` | `discard()` | Discard all commands issued after MULTI.
    `default Future<Response>` | `dump​(String arg0)` | Return a serialized version of the value stored at the specified key.
    `default Future<Response>` | `echo​(String arg0)` | Echo the given string.
    `default Future<Response>` | `eval​(List<String> args)` | Execute a Lua script server side.
    `default Future<Response>` | `evalRo​(List<String> args)` | Execute a read-only Lua script server side.
    `default Future<Response>` | `evalsha​(List<String> args)` | Execute a Lua script server side.
    `default Future<Response>` | `evalshaRo​(List<String> args)` | Execute a read-only Lua script server side.
    `default Future<Response>` | `exec()` | Execute all commands issued after MULTI.
    `default Future<Response>` | `exists​(List<String> args)` | Determine if a key exists.
    `default Future<Response>` | `expire​(List<String> args)` | Set a key's time to live in seconds.
    `default Future<Response>` | `expireat​(List<String> args)` | Set the expiration for a key as a UNIX timestamp.
    `default Future<Response>` | `expiretime​(String arg0)` | Get the expiration Unix timestamp for a key.
    `default Future<Response>` | `failover​(List<String> args)` | Start a coordinated failover between this server and one of its replicas.
    `default Future<Response>` | `fcall​(List<String> args)` | Invoke a function.
    `default Future<Response>` | `fcallRo​(List<String> args)` | Invoke a read-only function.
    `default Future<Response>` | `flushall​(List<String> args)` | Remove all keys from all databases.
    `default Future<Response>` | `flushdb​(List<String> args)` | Remove all keys from the current database.
    `default Future<Response>` | `ftAdd​(List<String> args)` | Redis command FT.ADD.
    `default Future<Response>` | `ftAggregate​(List<String> args)` | Redis command FT.AGGREGATE.
    `default Future<Response>` | `ftAliasadd​(List<String> args)` | Redis command FT.ALIASADD.
    `default Future<Response>` | `ftAliasaddifnx​(List<String> args)` | Redis command FT._ALIASADDIFNX.
    `default Future<Response>` | `ftAliasdel​(List<String> args)` | Redis command FT.ALIASDEL.
    `default Future<Response>` | `ftAliasdelifx​(List<String> args)` | Redis command FT._ALIASDELIFX.
    `default Future<Response>` | `ftAliasupdate​(List<String> args)` | Redis command FT.ALIASUPDATE.
    `default Future<Response>` | `ftAlter​(List<String> args)` | Redis command FT.ALTER.
    `default Future<Response>` | `ftAlterifnx​(List<String> args)` | Redis command FT._ALTERIFNX.
    `default Future<Response>` | `ftConfig​(List<String> args)` | Redis command FT.CONFIG.
    `default Future<Response>` | `ftCreate​(List<String> args)` | Redis command FT.CREATE.
    `default Future<Response>` | `ftCreateifnx​(List<String> args)` | Redis command FT._CREATEIFNX.
    `default Future<Response>` | `ftCursor​(List<String> args)` | Redis command FT.CURSOR.
    `default Future<Response>` | `ftDebug​(List<String> args)` | Redis command FT.DEBUG.
    `default Future<Response>` | `ftDel​(List<String> args)` | Redis command FT.DEL.
    `default Future<Response>` | `ftDictadd​(List<String> args)` | Redis command FT.DICTADD.
    `default Future<Response>` | `ftDictdel​(List<String> args)` | Redis command FT.DICTDEL.
    `default Future<Response>` | `ftDictdump​(List<String> args)` | Redis command FT.DICTDUMP.
    `default Future<Response>` | `ftDrop​(List<String> args)` | Redis command FT.DROP.
    `default Future<Response>` | `ftDropifx​(List<String> args)` | Redis command FT._DROPIFX.
    `default Future<Response>` | `ftDropindex​(List<String> args)` | Redis command FT.DROPINDEX.
    `default Future<Response>` | `ftDropindexifx​(List<String> args)` | Redis command FT._DROPINDEXIFX.
    `default Future<Response>` | `ftExplain​(List<String> args)` | Redis command FT.EXPLAIN.
    `default Future<Response>` | `ftExplaincli​(List<String> args)` | Redis command FT.EXPLAINCLI.
    `default Future<Response>` | `ftGet​(List<String> args)` | Redis command FT.GET.
    `default Future<Response>` | `ftInfo​(List<String> args)` | Redis command FT.INFO.
    `default Future<Response>` | `ftList​(List<String> args)` | Redis command FT._LIST.
    `default Future<Response>` | `ftMget​(List<String> args)` | Redis command FT.MGET.
    `default Future<Response>` | `ftProfile​(List<String> args)` | Redis command FT.PROFILE.
    `default Future<Response>` | `ftSafeadd​(List<String> args)` | Redis command FT.SAFEADD.
    `default Future<Response>` | `ftSearch​(List<String> args)` | Redis command FT.SEARCH.
    `default Future<Response>` | `ftSpellcheck​(List<String> args)` | Redis command FT.SPELLCHECK.
    `default Future<Response>` | `ftSugadd​(List<String> args)` | Redis command FT.SUGADD.
    `default Future<Response>` | `ftSugdel​(List<String> args)` | Redis command FT.SUGDEL.
    `default Future<Response>` | `ftSugget​(List<String> args)` | Redis command FT.SUGGET.
    `default Future<Response>` | `ftSuglen​(List<String> args)` | Redis command FT.SUGLEN.
    `default Future<Response>` | `ftSynadd​(List<String> args)` | Redis command FT.SYNADD.
    `default Future<Response>` | `ftSyndump​(List<String> args)` | Redis command FT.SYNDUMP.
    `default Future<Response>` | `ftSynupdate​(List<String> args)` | Redis command FT.SYNUPDATE.
    `default Future<Response>` | `ftTagvals​(List<String> args)` | Redis command FT.TAGVALS.
    `default Future<Response>` | `function​(List<String> args)` | A container for function commands.
    `default Future<Response>` | `geoadd​(List<String> args)` | Add one or more geospatial items in the geospatial index represented using a sorted set.
    `default Future<Response>` | `geodist​(List<String> args)` | Returns the distance between two members of a geospatial index.
    `default Future<Response>` | `geohash​(List<String> args)` | Returns members of a geospatial index as standard geohash strings.
    `default Future<Response>` | `geopos​(List<String> args)` | Returns longitude and latitude of members of a geospatial index.
    `default Future<Response>` | `georadius​(List<String> args)` | Deprecated. since: 6.2.0, replaced by: `GEOSEARCH` and `GEOSEARCHSTORE` with the `BYRADIUS` argument
    `default Future<Response>` | `georadiusbymember​(List<String> args)` | Deprecated. since: 6.2.0, replaced by: `GEOSEARCH` and `GEOSEARCHSTORE` with the `BYRADIUS` and `FROMMEMBER` arguments
    `default Future<Response>` | `georadiusbymemberRo​(List<String> args)` | Deprecated. since: 6.2.0, replaced by: `GEOSEARCH` with the `BYRADIUS` and `FROMMEMBER` arguments
    `default Future<Response>` | `georadiusRo​(List<String> args)` | Deprecated. since: 6.2.0, replaced by: `GEOSEARCH` with the `BYRADIUS` argument
    `default Future<Response>` | `geosearch​(List<String> args)` | Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle.
    `default Future<Response>` | `geosearchstore​(List<String> args)` | Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle, and store the result in another key.
    `default Future<Response>` | `get​(String arg0)` | Get the value of a key.
    `default Future<Response>` | `getbit​(String arg0, String arg1)` | Returns the bit value at offset in the string value stored at key.
    `default Future<Response>` | `getdel​(String arg0)` | Get the value of a key and delete the key.
    `default Future<Response>` | `getex​(List<String> args)` | Get the value of a key and optionally set its expiration.
    `default Future<Response>` | `getrange​(String arg0, String arg1, String arg2)` | Get a substring of the string stored at a key.
    `default Future<Response>` | `getset​(String arg0, String arg1)` | Deprecated. since: 6.2.0, replaced by: `SET` with the `!GET` argument
    `default Future<Response>` | `graphBulk​(List<String> args)` | Redis command GRAPH.BULK.
    `default Future<Response>` | `graphConfig​(List<String> args)` | Redis command GRAPH.CONFIG.
    `default Future<Response>` | `graphDebug​(List<String> args)` | Redis command GRAPH.DEBUG.
    `default Future<Response>` | `graphDelete​(List<String> args)` | Redis command GRAPH.DELETE.
    `default Future<Response>` | `graphExplain​(List<String> args)` | Redis command GRAPH.EXPLAIN.
    `default Future<Response>` | `graphList​(List<String> args)` | Redis command GRAPH.LIST.
    `default Future<Response>` | `graphProfile​(List<String> args)` | Redis command GRAPH.PROFILE.
    `default Future<Response>` | `graphQuery​(List<String> args)` | Redis command GRAPH.QUERY.
    `default Future<Response>` | `graphRoQuery​(List<String> args)` | Redis command GRAPH.RO_QUERY.
    `default Future<Response>` | `graphSlowlog​(List<String> args)` | Redis command GRAPH.SLOWLOG.
    `default Future<Response>` | `hdel​(List<String> args)` | Delete one or more hash fields.
    `default Future<Response>` | `hello​(List<String> args)` | Handshake with Redis.
    `default Future<Response>` | `hexists​(String arg0, String arg1)` | Determine if a hash field exists.
    `default Future<Response>` | `hget​(String arg0, String arg1)` | Get the value of a hash field.
    `default Future<Response>` | `hgetall​(String arg0)` | Get all the fields and values in a hash.
    `default Future<Response>` | `hincrby​(String arg0, String arg1, String arg2)` | Increment the integer value of a hash field by the given number.
    `default Future<Response>` | `hincrbyfloat​(String arg0, String arg1, String arg2)` | Increment the float value of a hash field by the given amount.
    `default Future<Response>` | `hkeys​(String arg0)` | Get all the fields in a hash.
    `default Future<Response>` | `hlen​(String arg0)` | Get the number of fields in a hash.
    `default Future<Response>` | `hmget​(List<String> args)` | Get the values of all the given hash fields.
    `default Future<Response>` | `hmset​(List<String> args)` | Deprecated. since: 4.0.0, replaced by: `HSET` with multiple field-value pairs
    `default Future<Response>` | `hrandfield​(List<String> args)` | Get one or multiple random fields from a hash.
    `default Future<Response>` | `hscan​(List<String> args)` | Incrementally iterate hash fields and associated values.
    `default Future<Response>` | `hset​(List<String> args)` | Set the string value of a hash field.
    `default Future<Response>` | `hsetnx​(String arg0, String arg1, String arg2)` | Set the value of a hash field, only if the field does not exist.
    `default Future<Response>` | `hstrlen​(String arg0, String arg1)` | Get the length of the value of a hash field.
    `default Future<Response>` | `hvals​(String arg0)` | Get all the values in a hash.
    `default Future<Response>` | `incr​(String arg0)` | Increment the integer value of a key by one.
    `default Future<Response>` | `incrby​(String arg0, String arg1)` | Increment the integer value of a key by the given amount.
    `default Future<Response>` | `incrbyfloat​(String arg0, String arg1)` | Increment the float value of a key by the given amount.
    `default Future<Response>` | `info​(List<String> args)` | Get information and statistics about the server.
    `default Future<Response>` | `jsonArrappend​(List<String> args)` | Redis command JSON.ARRAPPEND.
    `default Future<Response>` | `jsonArrindex​(List<String> args)` | Redis command JSON.ARRINDEX.
    `default Future<Response>` | `jsonArrinsert​(List<String> args)` | Redis command JSON.ARRINSERT.
    `default Future<Response>` | `jsonArrlen​(List<String> args)` | Redis command JSON.ARRLEN.
    `default Future<Response>` | `jsonArrpop​(List<String> args)` | Redis command JSON.ARRPOP.
    `default Future<Response>` | `jsonArrtrim​(List<String> args)` | Redis command JSON.ARRTRIM.
    `default Future<Response>` | `jsonClear​(List<String> args)` | Redis command JSON.CLEAR.
    `default Future<Response>` | `jsonDebug​(List<String> args)` | Redis command JSON.DEBUG.
    `default Future<Response>` | `jsonDel​(List<String> args)` | Redis command JSON.DEL.
    `default Future<Response>` | `jsonForget​(List<String> args)` | Redis command JSON.FORGET.
    `default Future<Response>` | `jsonGet​(List<String> args)` | Redis command JSON.GET.
    `default Future<Response>` | `jsonMget​(List<String> args)` | Redis command JSON.MGET.
    `default Future<Response>` | `jsonNumincrby​(List<String> args)` | Redis command JSON.NUMINCRBY.
    `default Future<Response>` | `jsonNummultby​(List<String> args)` | Redis command JSON.NUMMULTBY.
    `default Future<Response>` | `jsonNumpowby​(List<String> args)` | Redis command JSON.NUMPOWBY.
    `default Future<Response>` | `jsonObjkeys​(List<String> args)` | Redis command JSON.OBJKEYS.
    `default Future<Response>` | `jsonObjlen​(List<String> args)` | Redis command JSON.OBJLEN.
    `default Future<Response>` | `jsonResp​(List<String> args)` | Redis command JSON.RESP.
    `default Future<Response>` | `jsonSet​(List<String> args)` | Redis command JSON.SET.
    `default Future<Response>` | `jsonStrappend​(List<String> args)` | Redis command JSON.STRAPPEND.
    `default Future<Response>` | `jsonStrlen​(List<String> args)` | Redis command JSON.STRLEN.
    `default Future<Response>` | `jsonToggle​(List<String> args)` | Redis command JSON.TOGGLE.
    `default Future<Response>` | `jsonType​(List<String> args)` | Redis command JSON.TYPE.
    `default Future<Response>` | `keys​(String arg0)` | Find all keys matching the given pattern.
    `default Future<Response>` | `lastsave()` | Get the UNIX time stamp of the last successful save to disk.
    `default Future<Response>` | `latency​(List<String> args)` | A container for latency diagnostics commands.
    `default Future<Response>` | `lcs​(List<String> args)` | Find longest common substring.
    `default Future<Response>` | `lindex​(String arg0, String arg1)` | Get an element from a list by its index.
    `default Future<Response>` | `linsert​(String arg0, String arg1, String arg2, String arg3)` | Insert an element before or after another element in a list.
    `default Future<Response>` | `llen​(String arg0)` | Get the length of a list.
    `default Future<Response>` | `lmove​(String arg0, String arg1, String arg2, String arg3)` | Pop an element from a list, push it to another list and return it.
    `default Future<Response>` | `lmpop​(List<String> args)` | Pop elements from a list.
    `default Future<Response>` | `lolwut​(List<String> args)` | Display some computer art and the Redis version.
    `default Future<Response>` | `lpop​(List<String> args)` | Remove and get the first elements in a list.
    `default Future<Response>` | `lpos​(List<String> args)` | Return the index of matching elements on a list.
    `default Future<Response>` | `lpush​(List<String> args)` | Prepend one or multiple elements to a list.
    `default Future<Response>` | `lpushx​(List<String> args)` | Prepend an element to a list, only if the list exists.
    `default Future<Response>` | `lrange​(String arg0, String arg1, String arg2)` | Get a range of elements from a list.
    `default Future<Response>` | `lrem​(String arg0, String arg1, String arg2)` | Remove elements from a list.
    `default Future<Response>` | `lset​(String arg0, String arg1, String arg2)` | Set the value of an element in a list by its index.
    `default Future<Response>` | `ltrim​(String arg0, String arg1, String arg2)` | Trim a list to the specified range.
    `default Future<Response>` | `memory​(List<String> args)` | A container for memory diagnostics commands.
    `default Future<Response>` | `mget​(List<String> args)` | Get the values of all the given keys.
    `default Future<Response>` | `migrate​(List<String> args)` | Atomically transfer a key from a Redis instance to another one.
    `default Future<Response>` | `module​(List<String> args)` | A container for module commands.
    `default Future<Response>` | `monitor()` | Listen for all requests received by the server in real time.
    `default Future<Response>` | `move​(String arg0, String arg1)` | Move a key to another database.
    `default Future<Response>` | `mset​(List<String> args)` | Set multiple keys to multiple values.
    `default Future<Response>` | `msetnx​(List<String> args)` | Set multiple keys to multiple values, only if none of the keys exist.
    `default Future<Response>` | `multi()` | Mark the start of a transaction block.
    `default Future<Response>` | `object​(List<String> args)` | A container for object introspection commands.
    `default Future<Response>` | `persist​(String arg0)` | Remove the expiration from a key.
    `default Future<Response>` | `pexpire​(List<String> args)` | Set a key's time to live in milliseconds.
    `default Future<Response>` | `pexpireat​(List<String> args)` | Set the expiration for a key as a UNIX timestamp specified in milliseconds.
    `default Future<Response>` | `pexpiretime​(String arg0)` | Get the expiration Unix timestamp for a key in milliseconds.
    `default Future<Response>` | `pfadd​(List<String> args)` | Adds the specified elements to the specified HyperLogLog.
    `default Future<Response>` | `pfcount​(List<String> args)` | Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
    `default Future<Response>` | `pfdebug​(String arg0, String arg1)` | Internal commands for debugging HyperLogLog values.
    `default Future<Response>` | `pfmerge​(List<String> args)` | Merge N different HyperLogLogs into a single one.
    `default Future<Response>` | `pfselftest()` | An internal command for testing HyperLogLog values.
    `default Future<Response>` | `ping​(List<String> args)` | Ping the server.
    `default Future<Response>` | `psetex​(String arg0, String arg1, String arg2)` | Set the value and expiration in milliseconds of a key.
    `default Future<Response>` | `psubscribe​(List<String> args)` | Listen for messages published to channels matching the given patterns.
    `default Future<Response>` | `psync​(List<String> args)` | Internal command used for replication.
    `default Future<Response>` | `pttl​(String arg0)` | Get the time to live for a key in milliseconds.
    `default Future<Response>` | `publish​(String arg0, String arg1)` | Post a message to a channel.
    `default Future<Response>` | `pubsub​(List<String> args)` | A container for Pub/Sub commands.
    `default Future<Response>` | `punsubscribe​(List<String> args)` | Stop listening for messages posted to channels matching the given patterns.
    `default Future<Response>` | `quit​(List<String> args)` | Close the connection.
    `default Future<Response>` | `randomkey()` | Return a random key from the keyspace.
    `default Future<Response>` | `readonly()` | Enables read queries for a connection to a cluster replica node.
    `default Future<Response>` | `readwrite()` | Disables read queries for a connection to a cluster replica node.
    `default Future<Response>` | `rename​(String arg0, String arg1)` | Rename a key.
    `default Future<Response>` | `renamenx​(String arg0, String arg1)` | Rename a key, only if the new key does not exist.
    `default Future<Response>` | `replconf​(List<String> args)` | An internal command for configuring the replication stream.
    `default Future<Response>` | `replicaof​(String arg0, String arg1)` | Make the server a replica of another instance, or promote it as master.
    `default Future<Response>` | `reset()` | Reset the connection.
    `default Future<Response>` | `restore​(List<String> args)` | Create a key using the provided serialized value, previously obtained using DUMP.
    `default Future<Response>` | `restoreAsking​(List<String> args)` | An internal command for migrating keys in a cluster.
    `default Future<Response>` | `role()` | Return the role of the instance in the context of replication.
    `default Future<Response>` | `rpop​(List<String> args)` | Remove and get the last elements in a list.
    `default Future<Response>` | `rpoplpush​(String arg0, String arg1)` | Deprecated. since: 6.2.0, replaced by: `LMOVE` with the `RIGHT` and `LEFT` arguments
    `default Future<Response>` | `rpush​(List<String> args)` | Append one or multiple elements to a list.
    `default Future<Response>` | `rpushx​(List<String> args)` | Append an element to a list, only if the list exists.
    `default Future<Response>` | `sadd​(List<String> args)` | Add one or more members to a set.
    `default Future<Response>` | `save()` | Synchronously save the dataset to disk.
    `default Future<Response>` | `scan​(List<String> args)` | Incrementally iterate the keys space.
    `default Future<Response>` | `scard​(String arg0)` | Get the number of members in a set.
    `default Future<Response>` | `script​(List<String> args)` | A container for Lua scripts management commands.
    `default Future<Response>` | `sdiff​(List<String> args)` | Subtract multiple sets.
    `default Future<Response>` | `sdiffstore​(List<String> args)` | Subtract multiple sets and store the resulting set in a key.
    `default Future<Response>` | `select​(String arg0)` | Change the selected database for the current connection.
    `Future<Response>` | `send​(Command cmd, String... args)` | Send untyped command to redis.
    `default Future<Response>` | `set​(List<String> args)` | Set the string value of a key.
    `default Future<Response>` | `setbit​(String arg0, String arg1, String arg2)` | Sets or clears the bit at offset in the string value stored at key.
    `default Future<Response>` | `setex​(String arg0, String arg1, String arg2)` | Set the value and expiration of a key.
    `default Future<Response>` | `setnx​(String arg0, String arg1)` | Set the value of a key, only if the key does not exist.
    `default Future<Response>` | `setrange​(String arg0, String arg1, String arg2)` | Overwrite part of a string at key starting at the specified offset.
    `default Future<Response>` | `shutdown​(List<String> args)` | Synchronously save the dataset to disk and then shut down the server.
    `default Future<Response>` | `sinter​(List<String> args)` | Intersect multiple sets.
    `default Future<Response>` | `sintercard​(List<String> args)` | Intersect multiple sets and return the cardinality of the result.
    `default Future<Response>` | `sinterstore​(List<String> args)` | Intersect multiple sets and store the resulting set in a key.
    `default Future<Response>` | `sismember​(String arg0, String arg1)` | Determine if a given value is a member of a set.
    `default Future<Response>` | `slaveof​(String arg0, String arg1)` | Deprecated. since: 5.0.0, replaced by: `REPLICAOF`
    `default Future<Response>` | `slowlog​(List<String> args)` | A container for slow log commands.
    `default Future<Response>` | `smembers​(String arg0)` | Get all the members in a set.
    `default Future<Response>` | `smismember​(List<String> args)` | Returns the membership associated with the given elements for a set.
    `default Future<Response>` | `smove​(String arg0, String arg1, String arg2)` | Move a member from one set to another.
    `default Future<Response>` | `sort​(List<String> args)` | Sort the elements in a list, set or sorted set.
    `default Future<Response>` | `sortRo​(List<String> args)` | Sort the elements in a list, set or sorted set.
    `default Future<Response>` | `spop​(List<String> args)` | Remove and return one or multiple random members from a set.
    `default Future<Response>` | `spublish​(String arg0, String arg1)` | Post a message to a shard channel.
    `default Future<Response>` | `srandmember​(List<String> args)` | Get one or multiple random members from a set.
    `default Future<Response>` | `srem​(List<String> args)` | Remove one or more members from a set.
    `default Future<Response>` | `sscan​(List<String> args)` | Incrementally iterate Set elements.
    `default Future<Response>` | `ssubscribe​(List<String> args)` | Listen for messages published to the given shard channels.
    `default Future<Response>` | `strlen​(String arg0)` | Get the length of the value stored in a key.
    `default Future<Response>` | `subscribe​(List<String> args)` | Listen for messages published to the given channels.
    `default Future<Response>` | `substr​(String arg0, String arg1, String arg2)` | Deprecated. since: 2.0.0, replaced by: `GETRANGE`
    `default Future<Response>` | `sunion​(List<String> args)` | Add multiple sets.
    `default Future<Response>` | `sunionstore​(List<String> args)` | Add multiple sets and store the resulting set in a key.
    `default Future<Response>` | `sunsubscribe​(List<String> args)` | Stop listening for messages posted to the given shard channels.
    `default Future<Response>` | `swapdb​(String arg0, String arg1)` | Swaps two Redis databases.
    `default Future<Response>` | `sync()` | Internal command used for replication.
    `default Future<Response>` | `tdigestAdd​(List<String> args)` | Redis command TDIGEST.ADD.
    `default Future<Response>` | `tdigestByrank​(List<String> args)` | Redis command TDIGEST.BYRANK.
    `default Future<Response>` | `tdigestByrevrank​(List<String> args)` | Redis command TDIGEST.BYREVRANK.
    `default Future<Response>` | `tdigestCdf​(List<String> args)` | Redis command TDIGEST.CDF.
    `default Future<Response>` | `tdigestCreate​(List<String> args)` | Redis command TDIGEST.CREATE.
    `default Future<Response>` | `tdigestInfo​(List<String> args)` | Redis command TDIGEST.INFO.
    `default Future<Response>` | `tdigestMax​(List<String> args)` | Redis command TDIGEST.MAX.
    `default Future<Response>` | `tdigestMerge​(List<String> args)` | Redis command TDIGEST.MERGE.
    `default Future<Response>` | `tdigestMin​(List<String> args)` | Redis command TDIGEST.MIN.
    `default Future<Response>` | `tdigestQuantile​(List<String> args)` | Redis command TDIGEST.QUANTILE.
    `default Future<Response>` | `tdigestRank​(List<String> args)` | Redis command TDIGEST.RANK.
    `default Future<Response>` | `tdigestReset​(List<String> args)` | Redis command TDIGEST.RESET.
    `default Future<Response>` | `tdigestRevrank​(List<String> args)` | Redis command TDIGEST.REVRANK.
    `default Future<Response>` | `tdigestTrimmedMean​(List<String> args)` | Redis command TDIGEST.TRIMMED_MEAN.
    `default Future<Response>` | `time()` | Return the current server time.
    `default Future<Response>` | `timeseriesClusterset​(List<String> args)` | Redis command TIMESERIES.CLUSTERSET.
    `default Future<Response>` | `timeseriesClustersetfromshard​(List<String> args)` | Redis command TIMESERIES.CLUSTERSETFROMSHARD.
    `default Future<Response>` | `timeseriesHello​(List<String> args)` | Redis command TIMESERIES.HELLO.
    `default Future<Response>` | `timeseriesInfocluster​(List<String> args)` | Redis command TIMESERIES.INFOCLUSTER.
    `default Future<Response>` | `timeseriesInnercommunication​(List<String> args)` | Redis command TIMESERIES.INNERCOMMUNICATION.
    `default Future<Response>` | `timeseriesNetworktest​(List<String> args)` | Redis command TIMESERIES.NETWORKTEST.
    `default Future<Response>` | `timeseriesRefreshcluster​(List<String> args)` | Redis command TIMESERIES.REFRESHCLUSTER.
    `default Future<Response>` | `topkAdd​(List<String> args)` | Redis command TOPK.ADD.
    `default Future<Response>` | `topkCount​(List<String> args)` | Redis command TOPK.COUNT.
    `default Future<Response>` | `topkIncrby​(List<String> args)` | Redis command TOPK.INCRBY.
    `default Future<Response>` | `topkInfo​(List<String> args)` | Redis command TOPK.INFO.
    `default Future<Response>` | `topkList​(List<String> args)` | Redis command TOPK.LIST.
    `default Future<Response>` | `topkQuery​(List<String> args)` | Redis command TOPK.QUERY.
    `default Future<Response>` | `topkReserve​(List<String> args)` | Redis command TOPK.RESERVE.
    `default Future<Response>` | `touch​(List<String> args)` | Alters the last access time of a key(s).
    `default Future<Response>` | `tsAdd​(List<String> args)` | Redis command TS.ADD.
    `default Future<Response>` | `tsAlter​(List<String> args)` | Redis command TS.ALTER.
    `default Future<Response>` | `tsCreate​(List<String> args)` | Redis command TS.CREATE.
    `default Future<Response>` | `tsCreaterule​(List<String> args)` | Redis command TS.CREATERULE.
    `default Future<Response>` | `tsDecrby​(List<String> args)` | Redis command TS.DECRBY.
    `default Future<Response>` | `tsDel​(List<String> args)` | Redis command TS.DEL.
    `default Future<Response>` | `tsDeleterule​(List<String> args)` | Redis command TS.DELETERULE.
    `default Future<Response>` | `tsGet​(List<String> args)` | Redis command TS.GET.
    `default Future<Response>` | `tsIncrby​(List<String> args)` | Redis command TS.INCRBY.
    `default Future<Response>` | `tsInfo​(List<String> args)` | Redis command TS.INFO.
    `default Future<Response>` | `tsMadd​(List<String> args)` | Redis command TS.MADD.
    `default Future<Response>` | `tsMget​(List<String> args)` | Redis command TS.MGET.
    `default Future<Response>` | `tsMrange​(List<String> args)` | Redis command TS.MRANGE.
    `default Future<Response>` | `tsMrevrange​(List<String> args)` | Redis command TS.MREVRANGE.
    `default Future<Response>` | `tsQueryindex​(List<String> args)` | Redis command TS.QUERYINDEX.
    `default Future<Response>` | `tsRange​(List<String> args)` | Redis command TS.RANGE.
    `default Future<Response>` | `tsRevrange​(List<String> args)` | Redis command TS.REVRANGE.
    `default Future<Response>` | `ttl​(String arg0)` | Get the time to live for a key in seconds.
    `default Future<Response>` | `type​(String arg0)` | Determine the type stored at key.
    `default Future<Response>` | `unlink​(List<String> args)` | Delete a key asynchronously in another thread.
    `default Future<Response>` | `unsubscribe​(List<String> args)` | Stop listening for messages posted to the given channels.
    `default Future<Response>` | `unwatch()` | Forget about all watched keys.
    `default Future<Response>` | `wait​(String arg0, String arg1)` | Wait for the synchronous replication of all the write commands sent in the context of the current connection.
    `default Future<Response>` | `watch​(List<String> args)` | Watch the given keys to determine execution of the MULTI/EXEC block.
    `default Future<Response>` | `xack​(List<String> args)` | Marks a pending message as correctly processed, effectively removing it from the pending entries list of the consumer group.
    `default Future<Response>` | `xadd​(List<String> args)` | Appends a new entry to a stream.
    `default Future<Response>` | `xautoclaim​(List<String> args)` | Changes (or acquires) ownership of messages in a consumer group, as if the messages were delivered to the specified consumer.
    `default Future<Response>` | `xclaim​(List<String> args)` | Changes (or acquires) ownership of a message in a consumer group, as if the message was delivered to the specified consumer.
    `default Future<Response>` | `xdel​(List<String> args)` | Removes the specified entries from the stream.
    `default Future<Response>` | `xgroup​(List<String> args)` | A container for consumer groups commands.
    `default Future<Response>` | `xinfo​(List<String> args)` | A container for stream introspection commands.
    `default Future<Response>` | `xlen​(String arg0)` | Return the number of entries in a stream.
    `default Future<Response>` | `xpending​(List<String> args)` | Return information and entries from a stream consumer group pending entries list, that are messages fetched but never acknowledged.
    `default Future<Response>` | `xrange​(List<String> args)` | Return a range of elements in a stream, with IDs matching the specified IDs interval.
    `default Future<Response>` | `xread​(List<String> args)` | Return never seen elements in multiple streams, with IDs greater than the ones reported by the caller for each stream.
    `default Future<Response>` | `xreadgroup​(List<String> args)` | Return new entries from a stream using a consumer group, or access the history of the pending entries for a given consumer.
    `default Future<Response>` | `xrevrange​(List<String> args)` | Return a range of elements in a stream, with IDs matching the specified IDs interval, in reverse order (from greater to smaller IDs) compared to XRANGE.
    `default Future<Response>` | `xsetid​(List<String> args)` | An internal command for replicating stream values.
    `default Future<Response>` | `xtrim​(List<String> args)` | Trims the stream to (approximately if '~' is passed) a certain size.
    `default Future<Response>` | `zadd​(List<String> args)` | Add one or more members to a sorted set, or update its score if it already exists.
    `default Future<Response>` | `zcard​(String arg0)` | Get the number of members in a sorted set.
    `default Future<Response>` | `zcount​(String arg0, String arg1, String arg2)` | Count the members in a sorted set with scores within the given values.
    `default Future<Response>` | `zdiff​(List<String> args)` | Subtract multiple sorted sets.
    `default Future<Response>` | `zdiffstore​(List<String> args)` | Subtract multiple sorted sets and store the resulting sorted set in a new key.
    `default Future<Response>` | `zincrby​(String arg0, String arg1, String arg2)` | Increment the score of a member in a sorted set.
    `default Future<Response>` | `zinter​(List<String> args)` | Intersect multiple sorted sets.
    `default Future<Response>` | `zintercard​(List<String> args)` | Intersect multiple sorted sets and return the cardinality of the result.
    `default Future<Response>` | `zinterstore​(List<String> args)` | Intersect multiple sorted sets and store the resulting sorted set in a new key.
    `default Future<Response>` | `zlexcount​(String arg0, String arg1, String arg2)` | Count the number of members in a sorted set between a given lexicographical range.
    `default Future<Response>` | `zmpop​(List<String> args)` | Remove and return members with scores in a sorted set.
    `default Future<Response>` | `zmscore​(List<String> args)` | Get the score associated with the given members in a sorted set.
    `default Future<Response>` | `zpopmax​(List<String> args)` | Remove and return members with the highest scores in a sorted set.
    `default Future<Response>` | `zpopmin​(List<String> args)` | Remove and return members with the lowest scores in a sorted set.
    `default Future<Response>` | `zrandmember​(List<String> args)` | Get one or multiple random elements from a sorted set.
    `default Future<Response>` | `zrange​(List<String> args)` | Return a range of members in a sorted set.
    `default Future<Response>` | `zrangebylex​(List<String> args)` | Deprecated. since: 6.2.0, replaced by: `ZRANGE` with the `BYLEX` argument
    `default Future<Response>` | `zrangebyscore​(List<String> args)` | Deprecated. since: 6.2.0, replaced by: `ZRANGE` with the `BYSCORE` argument
    `default Future<Response>` | `zrangestore​(List<String> args)` | Store a range of members from sorted set into another key.
    `default Future<Response>` | `zrank​(String arg0, String arg1)` | Determine the index of a member in a sorted set.
    `default Future<Response>` | `zrem​(List<String> args)` | Remove one or more members from a sorted set.
    `default Future<Response>` | `zremrangebylex​(String arg0, String arg1, String arg2)` | Remove all members in a sorted set between the given lexicographical range.
    `default Future<Response>` | `zremrangebyrank​(String arg0, String arg1, String arg2)` | Remove all members in a sorted set within the given indexes.
    `default Future<Response>` | `zremrangebyscore​(String arg0, String arg1, String arg2)` | Remove all members in a sorted set within the given scores.
    `default Future<Response>` | `zrevrange​(List<String> args)` | Deprecated. since: 6.2.0, replaced by: `ZRANGE` with the `REV` argument
    `default Future<Response>` | `zrevrangebylex​(List<String> args)` | Deprecated. since: 6.2.0, replaced by: `ZRANGE` with the `REV` and `BYLEX` arguments
    `default Future<Response>` | `zrevrangebyscore​(List<String> args)` | Deprecated. since: 6.2.0, replaced by: `ZRANGE` with the `REV` and `BYSCORE` arguments
    `default Future<Response>` | `zrevrank​(String arg0, String arg1)` | Determine the index of a member in a sorted set, with scores ordered from high to low.
    `default Future<Response>` | `zscan​(List<String> args)` | Incrementally iterate sorted sets elements and associated scores.
    `default Future<Response>` | `zscore​(String arg0, String arg1)` | Get the score associated with the given member in a sorted set.
    `default Future<Response>` | `zunion​(List<String> args)` | Add multiple sorted sets.
    `default Future<Response>` | `zunionstore​(List<String> args)` | Add multiple sorted sets and store the resulting sorted set in a new key.

- - ### Method Detail

    - #### api

          static RedisAPI api​(Redis client)

    - #### api

          static RedisAPI api​(RedisConnection connection)

    - #### close

          void close()

    - #### ftAdd

          default Future<Response> ftAdd​(List<String> args)

      Redis command FT.ADD.
      Returns:
        Future response.

    - #### ftAggregate

          default Future<Response> ftAggregate​(List<String> args)

      Redis command FT.AGGREGATE.
      Returns:
        Future response.

    - #### ftAliasadd

          default Future<Response> ftAliasadd​(List<String> args)

      Redis command FT.ALIASADD.
      Returns:
        Future response.

    - #### ftAliasdel

          default Future<Response> ftAliasdel​(List<String> args)

      Redis command FT.ALIASDEL.
      Returns:
        Future response.

    - #### ftAliasupdate

          default Future<Response> ftAliasupdate​(List<String> args)

      Redis command FT.ALIASUPDATE.
      Returns:
        Future response.

    - #### ftAlter

          default Future<Response> ftAlter​(List<String> args)

      Redis command FT.ALTER.
      Returns:
        Future response.

    - #### ftConfig

          default Future<Response> ftConfig​(List<String> args)

      Redis command FT.CONFIG.
      Returns:
        Future response.

    - #### ftCreate

          default Future<Response> ftCreate​(List<String> args)

      Redis command FT.CREATE.
      Returns:
        Future response.

    - #### ftCursor

          default Future<Response> ftCursor​(List<String> args)

      Redis command FT.CURSOR.
      Returns:
        Future response.

    - #### ftDebug

          default Future<Response> ftDebug​(List<String> args)

      Redis command FT.DEBUG.
      Returns:
        Future response.

    - #### ftDel

          default Future<Response> ftDel​(List<String> args)

      Redis command FT.DEL.
      Returns:
        Future response.

    - #### ftDictadd

          default Future<Response> ftDictadd​(List<String> args)

      Redis command FT.DICTADD.
      Returns:
        Future response.

    - #### ftDictdel

          default Future<Response> ftDictdel​(List<String> args)

      Redis command FT.DICTDEL.
      Returns:
        Future response.

    - #### ftDictdump

          default Future<Response> ftDictdump​(List<String> args)

      Redis command FT.DICTDUMP.
      Returns:
        Future response.

    - #### ftDrop

          default Future<Response> ftDrop​(List<String> args)

      Redis command FT.DROP.
      Returns:
        Future response.

    - #### ftDropindex

          default Future<Response> ftDropindex​(List<String> args)

      Redis command FT.DROPINDEX.
      Returns:
        Future response.

    - #### ftExplain

          default Future<Response> ftExplain​(List<String> args)

      Redis command FT.EXPLAIN.
      Returns:
        Future response.

    - #### ftExplaincli

          default Future<Response> ftExplaincli​(List<String> args)

      Redis command FT.EXPLAINCLI.
      Returns:
        Future response.

    - #### ftGet

          default Future<Response> ftGet​(List<String> args)

      Redis command FT.GET.
      Returns:
        Future response.

    - #### ftInfo

          default Future<Response> ftInfo​(List<String> args)

      Redis command FT.INFO.
      Returns:
        Future response.

    - #### ftMget

          default Future<Response> ftMget​(List<String> args)

      Redis command FT.MGET.
      Returns:
        Future response.

    - #### ftProfile

          default Future<Response> ftProfile​(List<String> args)

      Redis command FT.PROFILE.
      Returns:
        Future response.

    - #### ftSafeadd

          default Future<Response> ftSafeadd​(List<String> args)

      Redis command FT.SAFEADD.
      Returns:
        Future response.

    - #### ftSearch

          default Future<Response> ftSearch​(List<String> args)

      Redis command FT.SEARCH.
      Returns:
        Future response.

    - #### ftSpellcheck

          default Future<Response> ftSpellcheck​(List<String> args)

      Redis command FT.SPELLCHECK.
      Returns:
        Future response.

    - #### ftSugadd

          default Future<Response> ftSugadd​(List<String> args)

      Redis command FT.SUGADD.
      Returns:
        Future response.

    - #### ftSugdel

          default Future<Response> ftSugdel​(List<String> args)

      Redis command FT.SUGDEL.
      Returns:
        Future response.

    - #### ftSugget

          default Future<Response> ftSugget​(List<String> args)

      Redis command FT.SUGGET.
      Returns:
        Future response.

    - #### ftSuglen

          default Future<Response> ftSuglen​(List<String> args)

      Redis command FT.SUGLEN.
      Returns:
        Future response.

    - #### ftSynadd

          default Future<Response> ftSynadd​(List<String> args)

      Redis command FT.SYNADD.
      Returns:
        Future response.

    - #### ftSyndump

          default Future<Response> ftSyndump​(List<String> args)

      Redis command FT.SYNDUMP.
      Returns:
        Future response.

    - #### ftSynupdate

          default Future<Response> ftSynupdate​(List<String> args)

      Redis command FT.SYNUPDATE.
      Returns:
        Future response.

    - #### ftTagvals

          default Future<Response> ftTagvals​(List<String> args)

      Redis command FT.TAGVALS.
      Returns:
        Future response.

    - #### ftAliasaddifnx

          default Future<Response> ftAliasaddifnx​(List<String> args)

      Redis command FT._ALIASADDIFNX.
      Returns:
        Future response.

    - #### ftAliasdelifx

          default Future<Response> ftAliasdelifx​(List<String> args)

      Redis command FT._ALIASDELIFX.
      Returns:
        Future response.

    - #### ftAlterifnx

          default Future<Response> ftAlterifnx​(List<String> args)

      Redis command FT._ALTERIFNX.
      Returns:
        Future response.

    - #### ftCreateifnx

          default Future<Response> ftCreateifnx​(List<String> args)

      Redis command FT._CREATEIFNX.
      Returns:
        Future response.

    - #### ftDropifx

          default Future<Response> ftDropifx​(List<String> args)

      Redis command FT._DROPIFX.
      Returns:
        Future response.

    - #### ftDropindexifx

          default Future<Response> ftDropindexifx​(List<String> args)

      Redis command FT._DROPINDEXIFX.
      Returns:
        Future response.

    - #### ftList

          default Future<Response> ftList​(List<String> args)

      Redis command FT._LIST.
      Returns:
        Future response.

    - #### acl

          default Future<Response> acl​(List<String> args)

      A container for Access List Control commands.

      Redis command ACL.

      Returns:
        Future response.

    - #### append

          default Future<Response> append​(String arg0,
                                          String arg1)

      Append a value to a key.

      Redis command APPEND.

      Returns:
        Future response.

    - #### asking

          default Future<Response> asking()

      Sent by cluster clients after an -ASK redirect.

      Redis command ASKING.

      Returns:
        Future response.

    - #### auth

          default Future<Response> auth​(List<String> args)

      Authenticate to the server.

      Redis command AUTH.

      Returns:
        Future response.

    - #### bfAdd

          default Future<Response> bfAdd​(List<String> args)

      Redis command BF.ADD.
      Returns:
        Future response.

    - #### bfCard

          default Future<Response> bfCard​(List<String> args)

      Redis command BF.CARD.
      Returns:
        Future response.

    - #### bfDebug

          default Future<Response> bfDebug​(List<String> args)

      Redis command BF.DEBUG.
      Returns:
        Future response.

    - #### bfExists

          default Future<Response> bfExists​(List<String> args)

      Redis command BF.EXISTS.
      Returns:
        Future response.

    - #### bfInfo

          default Future<Response> bfInfo​(List<String> args)

      Redis command BF.INFO.
      Returns:
        Future response.

    - #### bfInsert

          default Future<Response> bfInsert​(List<String> args)

      Redis command BF.INSERT.
      Returns:
        Future response.

    - #### bfLoadchunk

          default Future<Response> bfLoadchunk​(List<String> args)

      Redis command BF.LOADCHUNK.
      Returns:
        Future response.

    - #### bfMadd

          default Future<Response> bfMadd​(List<String> args)

      Redis command BF.MADD.
      Returns:
        Future response.

    - #### bfMexists

          default Future<Response> bfMexists​(List<String> args)

      Redis command BF.MEXISTS.
      Returns:
        Future response.

    - #### bfReserve

          default Future<Response> bfReserve​(List<String> args)

      Redis command BF.RESERVE.
      Returns:
        Future response.

    - #### bfScandump

          default Future<Response> bfScandump​(List<String> args)

      Redis command BF.SCANDUMP.
      Returns:
        Future response.

    - #### bgrewriteaof

          default Future<Response> bgrewriteaof()

      Asynchronously rewrite the append-only file.

      Redis command BGREWRITEAOF.

      Returns:
        Future response.

    - #### bgsave

          default Future<Response> bgsave​(List<String> args)

      Asynchronously save the dataset to disk.

      Redis command BGSAVE.

      Returns:
        Future response.

    - #### bitcount

          default Future<Response> bitcount​(List<String> args)

      Count set bits in a string.

      Redis command BITCOUNT.

      Returns:
        Future response.

    - #### bitfield

          default Future<Response> bitfield​(List<String> args)

      Perform arbitrary bitfield integer operations on strings.

      Redis command BITFIELD.

      Returns:
        Future response.

    - #### bitfieldRo

          default Future<Response> bitfieldRo​(List<String> args)

      Perform arbitrary bitfield integer operations on strings. Read-only variant of BITFIELD.

      Redis command BITFIELD_RO.

      Returns:
        Future response.

    - #### bitop

          default Future<Response> bitop​(List<String> args)

      Perform bitwise operations between strings.

      Redis command BITOP.

      Returns:
        Future response.

    - #### bitpos

          default Future<Response> bitpos​(List<String> args)

      Find first bit set or clear in a string.

      Redis command BITPOS.

      Returns:
        Future response.

    - #### blmove

          default Future<Response> blmove​(String arg0,
                                          String arg1,
                                          String arg2,
                                          String arg3,
                                          String arg4)

      Pop an element from a list, push it to another list and return it; or block until one is available.

      Redis command BLMOVE.

      Returns:
        Future response.

    - #### blmpop

          default Future<Response> blmpop​(List<String> args)

      Pop elements from a list, or block until one is available.

      Redis command BLMPOP.

      Returns:
        Future response.

    - #### blpop

          default Future<Response> blpop​(List<String> args)

      Remove and get the first element in a list, or block until one is available.

      Redis command BLPOP.

      Returns:
        Future response.

    - #### brpop

          default Future<Response> brpop​(List<String> args)

      Remove and get the last element in a list, or block until one is available.

      Redis command BRPOP.

      Returns:
        Future response.

    - #### brpoplpush

          @Deprecated
          default Future<Response> brpoplpush​(String arg0,
                                              String arg1,
                                              String arg2)

      Deprecated.
      since: 6.2.0, replaced by: `BLMOVE` with the `RIGHT` and `LEFT` arguments
      Pop an element from a list, push it to another list and return it; or block until one is available.

      Redis command BRPOPLPUSH.

      Returns:
        Future response.

    - #### bzmpop

          default Future<Response> bzmpop​(List<String> args)

      Remove and return members with scores in a sorted set or block until one is available.

      Redis command BZMPOP.

      Returns:
        Future response.

    - #### bzpopmax

          default Future<Response> bzpopmax​(List<String> args)

      Remove and return the member with the highest score from one or more sorted sets, or block until one is available.

      Redis command BZPOPMAX.

      Returns:
        Future response.

    - #### bzpopmin

          default Future<Response> bzpopmin​(List<String> args)

      Remove and return the member with the lowest score from one or more sorted sets, or block until one is available.

      Redis command BZPOPMIN.

      Returns:
        Future response.

    - #### cfAdd

          default Future<Response> cfAdd​(List<String> args)

      Redis command CF.ADD.
      Returns:
        Future response.

    - #### cfAddnx

          default Future<Response> cfAddnx​(List<String> args)

      Redis command CF.ADDNX.
      Returns:
        Future response.

    - #### cfCompact

          default Future<Response> cfCompact​(List<String> args)

      Redis command CF.COMPACT.
      Returns:
        Future response.

    - #### cfCount

          default Future<Response> cfCount​(List<String> args)

      Redis command CF.COUNT.
      Returns:
        Future response.

    - #### cfDebug

          default Future<Response> cfDebug​(List<String> args)

      Redis command CF.DEBUG.
      Returns:
        Future response.

    - #### cfDel

          default Future<Response> cfDel​(List<String> args)

      Redis command CF.DEL.
      Returns:
        Future response.

    - #### cfExists

          default Future<Response> cfExists​(List<String> args)

      Redis command CF.EXISTS.
      Returns:
        Future response.

    - #### cfInfo

          default Future<Response> cfInfo​(List<String> args)

      Redis command CF.INFO.
      Returns:
        Future response.

    - #### cfInsert

          default Future<Response> cfInsert​(List<String> args)

      Redis command CF.INSERT.
      Returns:
        Future response.

    - #### cfInsertnx

          default Future<Response> cfInsertnx​(List<String> args)

      Redis command CF.INSERTNX.
      Returns:
        Future response.

    - #### cfLoadchunk

          default Future<Response> cfLoadchunk​(List<String> args)

      Redis command CF.LOADCHUNK.
      Returns:
        Future response.

    - #### cfMexists

          default Future<Response> cfMexists​(List<String> args)

      Redis command CF.MEXISTS.
      Returns:
        Future response.

    - #### cfReserve

          default Future<Response> cfReserve​(List<String> args)

      Redis command CF.RESERVE.
      Returns:
        Future response.

    - #### cfScandump

          default Future<Response> cfScandump​(List<String> args)

      Redis command CF.SCANDUMP.
      Returns:
        Future response.

    - #### client

          default Future<Response> client​(List<String> args)

      A container for client connection commands.

      Redis command CLIENT.

      Returns:
        Future response.

    - #### cluster

          default Future<Response> cluster​(List<String> args)

      A container for cluster commands.

      Redis command CLUSTER.

      Returns:
        Future response.

    - #### cmsIncrby

          default Future<Response> cmsIncrby​(List<String> args)

      Redis command CMS.INCRBY.
      Returns:
        Future response.

    - #### cmsInfo

          default Future<Response> cmsInfo​(List<String> args)

      Redis command CMS.INFO.
      Returns:
        Future response.

    - #### cmsInitbydim

          default Future<Response> cmsInitbydim​(List<String> args)

      Redis command CMS.INITBYDIM.
      Returns:
        Future response.

    - #### cmsInitbyprob

          default Future<Response> cmsInitbyprob​(List<String> args)

      Redis command CMS.INITBYPROB.
      Returns:
        Future response.

    - #### cmsMerge

          default Future<Response> cmsMerge​(List<String> args)

      Redis command CMS.MERGE.
      Returns:
        Future response.

    - #### cmsQuery

          default Future<Response> cmsQuery​(List<String> args)

      Redis command CMS.QUERY.
      Returns:
        Future response.

    - #### command

          default Future<Response> command​(List<String> args)

      Get array of Redis command details.

      Redis command COMMAND.

      Returns:
        Future response.

    - #### config

          default Future<Response> config​(List<String> args)

      A container for server configuration commands.

      Redis command CONFIG.

      Returns:
        Future response.

    - #### copy

          default Future<Response> copy​(List<String> args)

      Copy a key.

      Redis command COPY.

      Returns:
        Future response.

    - #### dbsize

          default Future<Response> dbsize()

      Return the number of keys in the selected database.

      Redis command DBSIZE.

      Returns:
        Future response.

    - #### debug

          default Future<Response> debug​(List<String> args)

      A container for debugging commands.

      Redis command DEBUG.

      Returns:
        Future response.

    - #### decr

          default Future<Response> decr​(String arg0)

      Decrement the integer value of a key by one.

      Redis command DECR.

      Returns:
        Future response.

    - #### decrby

          default Future<Response> decrby​(String arg0,
                                          String arg1)

      Decrement the integer value of a key by the given number.

      Redis command DECRBY.

      Returns:
        Future response.

    - #### del

          default Future<Response> del​(List<String> args)

      Delete a key.

      Redis command DEL.

      Returns:
        Future response.

    - #### discard

          default Future<Response> discard()

      Discard all commands issued after MULTI.

      Redis command DISCARD.

      Returns:
        Future response.

    - #### dump

          default Future<Response> dump​(String arg0)

      Return a serialized version of the value stored at the specified key.

      Redis command DUMP.

      Returns:
        Future response.

    - #### echo

          default Future<Response> echo​(String arg0)

      Echo the given string.

      Redis command ECHO.

      Returns:
        Future response.

    - #### eval

          default Future<Response> eval​(List<String> args)

      Execute a Lua script server side.

      Redis command EVAL.

      Returns:
        Future response.

    - #### evalRo

          default Future<Response> evalRo​(List<String> args)

      Execute a read-only Lua script server side.

      Redis command EVAL_RO.

      Returns:
        Future response.

    - #### evalsha

          default Future<Response> evalsha​(List<String> args)

      Execute a Lua script server side.

      Redis command EVALSHA.

      Returns:
        Future response.

    - #### evalshaRo

          default Future<Response> evalshaRo​(List<String> args)

      Execute a read-only Lua script server side.

      Redis command EVALSHA_RO.

      Returns:
        Future response.

    - #### exec

          default Future<Response> exec()

      Execute all commands issued after MULTI.

      Redis command EXEC.

      Returns:
        Future response.

    - #### exists

          default Future<Response> exists​(List<String> args)

      Determine if a key exists.

      Redis command EXISTS.

      Returns:
        Future response.

    - #### expire

          default Future<Response> expire​(List<String> args)

      Set a key's time to live in seconds.

      Redis command EXPIRE.

      Returns:
        Future response.

    - #### expireat

          default Future<Response> expireat​(List<String> args)

      Set the expiration for a key as a UNIX timestamp.

      Redis command EXPIREAT.

      Returns:
        Future response.

    - #### expiretime

          default Future<Response> expiretime​(String arg0)

      Get the expiration Unix timestamp for a key.

      Redis command EXPIRETIME.

      Returns:
        Future response.

    - #### failover

          default Future<Response> failover​(List<String> args)

      Start a coordinated failover between this server and one of its replicas.

      Redis command FAILOVER.

      Returns:
        Future response.

    - #### fcall

          default Future<Response> fcall​(List<String> args)

      Invoke a function.

      Redis command FCALL.

      Returns:
        Future response.

    - #### fcallRo

          default Future<Response> fcallRo​(List<String> args)

      Invoke a read-only function.

      Redis command FCALL_RO.

      Returns:
        Future response.

    - #### flushall

          default Future<Response> flushall​(List<String> args)

      Remove all keys from all databases.

      Redis command FLUSHALL.

      Returns:
        Future response.

    - #### flushdb

          default Future<Response> flushdb​(List<String> args)

      Remove all keys from the current database.

      Redis command FLUSHDB.

      Returns:
        Future response.

    - #### function

          default Future<Response> function​(List<String> args)

      A container for function commands.

      Redis command FUNCTION.

      Returns:
        Future response.

    - #### geoadd

          default Future<Response> geoadd​(List<String> args)

      Add one or more geospatial items in the geospatial index represented using a sorted set.

      Redis command GEOADD.

      Returns:
        Future response.

    - #### geodist

          default Future<Response> geodist​(List<String> args)

      Returns the distance between two members of a geospatial index.

      Redis command GEODIST.

      Returns:
        Future response.

    - #### geohash

          default Future<Response> geohash​(List<String> args)

      Returns members of a geospatial index as standard geohash strings.

      Redis command GEOHASH.

      Returns:
        Future response.

    - #### geopos

          default Future<Response> geopos​(List<String> args)

      Returns longitude and latitude of members of a geospatial index.

      Redis command GEOPOS.

      Returns:
        Future response.

    - #### georadius

          @Deprecated
          default Future<Response> georadius​(List<String> args)

      Deprecated.
      since: 6.2.0, replaced by: `GEOSEARCH` and `GEOSEARCHSTORE` with the `BYRADIUS` argument
      Query a sorted set representing a geospatial index to fetch members matching a given maximum distance from a point.

      Redis command GEORADIUS.

      Returns:
        Future response.

    - #### georadiusRo

          @Deprecated
          default Future<Response> georadiusRo​(List<String> args)

      Deprecated.
      since: 6.2.0, replaced by: `GEOSEARCH` with the `BYRADIUS` argument
      A read-only variant for GEORADIUS.

      Redis command GEORADIUS_RO.

      Returns:
        Future response.

    - #### georadiusbymember

          @Deprecated
          default Future<Response> georadiusbymember​(List<String> args)

      Deprecated.
      since: 6.2.0, replaced by: `GEOSEARCH` and `GEOSEARCHSTORE` with the `BYRADIUS` and `FROMMEMBER` arguments
      Query a sorted set representing a geospatial index to fetch members matching a given maximum distance from a member.

      Redis command GEORADIUSBYMEMBER.

      Returns:
        Future response.

    - #### georadiusbymemberRo

          @Deprecated
          default Future<Response> georadiusbymemberRo​(List<String> args)

      Deprecated.
      since: 6.2.0, replaced by: `GEOSEARCH` with the `BYRADIUS` and `FROMMEMBER` arguments
      A read-only variant for GEORADIUSBYMEMBER.

      Redis command GEORADIUSBYMEMBER_RO.

      Returns:
        Future response.

    - #### geosearch

          default Future<Response> geosearch​(List<String> args)

      Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle.

      Redis command GEOSEARCH.

      Returns:
        Future response.

    - #### geosearchstore

          default Future<Response> geosearchstore​(List<String> args)

      Query a sorted set representing a geospatial index to fetch members inside an area of a box or a circle, and store the result in another key.

      Redis command GEOSEARCHSTORE.

      Returns:
        Future response.

    - #### get

          default Future<Response> get​(String arg0)

      Get the value of a key.

      Redis command GET.

      Returns:
        Future response.

    - #### getbit

          default Future<Response> getbit​(String arg0,
                                          String arg1)

      Returns the bit value at offset in the string value stored at key.

      Redis command GETBIT.

      Returns:
        Future response.

    - #### getdel

          default Future<Response> getdel​(String arg0)

      Get the value of a key and delete the key.

      Redis command GETDEL.

      Returns:
        Future response.

    - #### getex

          default Future<Response> getex​(List<String> args)

      Get the value of a key and optionally set its expiration.

      Redis command GETEX.

      Returns:
        Future response.

    - #### getrange

          default Future<Response> getrange​(String arg0,
                                            String arg1,
                                            String arg2)

      Get a substring of the string stored at a key.

      Redis command GETRANGE.

      Returns:
        Future response.

    - #### getset

          @Deprecated
          default Future<Response> getset​(String arg0,
                                          String arg1)

      Deprecated.
      since: 6.2.0, replaced by: `SET` with the `!GET` argument
      Set the string value of a key and return its old value.

      Redis command GETSET.

      Returns:
        Future response.

    - #### graphBulk

          default Future<Response> graphBulk​(List<String> args)

      Redis command GRAPH.BULK.
      Returns:
        Future response.

    - #### graphConfig

          default Future<Response> graphConfig​(List<String> args)

      Redis command GRAPH.CONFIG.
      Returns:
        Future response.

    - #### graphDebug

          default Future<Response> graphDebug​(List<String> args)

      Redis command GRAPH.DEBUG.
      Returns:
        Future response.

    - #### graphDelete

          default Future<Response> graphDelete​(List<String> args)

      Redis command GRAPH.DELETE.
      Returns:
        Future response.

    - #### graphExplain

          default Future<Response> graphExplain​(List<String> args)

      Redis command GRAPH.EXPLAIN.
      Returns:
        Future response.

    - #### graphList

          default Future<Response> graphList​(List<String> args)

      Redis command GRAPH.LIST.
      Returns:
        Future response.

    - #### graphProfile

          default Future<Response> graphProfile​(List<String> args)

      Redis command GRAPH.PROFILE.
      Returns:
        Future response.

    - #### graphQuery

          default Future<Response> graphQuery​(List<String> args)

      Redis command GRAPH.QUERY.
      Returns:
        Future response.

    - #### graphRoQuery

          default Future<Response> graphRoQuery​(List<String> args)

      Redis command GRAPH.RO_QUERY.
      Returns:
        Future response.

    - #### graphSlowlog

          default Future<Response> graphSlowlog​(List<String> args)

      Redis command GRAPH.SLOWLOG.
      Returns:
        Future response.

    - #### hdel

          default Future<Response> hdel​(List<String> args)

      Delete one or more hash fields.

      Redis command HDEL.

      Returns:
        Future response.

    - #### hello

          default Future<Response> hello​(List<String> args)

      Handshake with Redis.

      Redis command HELLO.

      Returns:
        Future response.

    - #### hexists

          default Future<Response> hexists​(String arg0,
                                           String arg1)

      Determine if a hash field exists.

      Redis command HEXISTS.

      Returns:
        Future response.

    - #### hget

          default Future<Response> hget​(String arg0,
                                        String arg1)

      Get the value of a hash field.

      Redis command HGET.

      Returns:
        Future response.

    - #### hgetall

          default Future<Response> hgetall​(String arg0)

      Get all the fields and values in a hash.

      Redis command HGETALL.

      Returns:
        Future response.

    - #### hincrby

          default Future<Response> hincrby​(String arg0,
                                           String arg1,
                                           String arg2)

      Increment the integer value of a hash field by the given number.

      Redis command HINCRBY.

      Returns:
        Future response.

    - #### hincrbyfloat

          default Future<Response> hincrbyfloat​(String arg0,
                                                String arg1,
                                                String arg2)

      Increment the float value of a hash field by the given amount.

      Redis command HINCRBYFLOAT.

      Returns:
        Future response.

    - #### hkeys

          default Future<Response> hkeys​(String arg0)

      Get all the fields in a hash.

      Redis command HKEYS.

      Returns:
        Future response.

    - #### hlen

          default Future<Response> hlen​(String arg0)

      Get the number of fields in a hash.

      Redis command HLEN.

      Returns:
        Future response.

    - #### hmget

          default Future<Response> hmget​(List<String> args)

      Get the values of all the given hash fields.

      Redis command HMGET.

      Returns:
        Future response.

    - #### hmset

          @Deprecated
          default Future<Response> hmset​(List<String> args)

      Deprecated.
      since: 4.0.0, replaced by: `HSET` with multiple field-value pairs
      Set multiple hash fields to multiple values.

      Redis command HMSET.

      Returns:
        Future response.

    - #### hrandfield

          default Future<Response> hrandfield​(List<String> args)

      Get one or multiple random fields from a hash.

      Redis command HRANDFIELD.

      Returns:
        Future response.

    - #### hscan

          default Future<Response> hscan​(List<String> args)

      Incrementally iterate hash fields and associated values.

      Redis command HSCAN.

      Returns:
        Future response.

    - #### hset

          default Future<Response> hset​(List<String> args)

      Set the string value of a hash field.

      Redis command HSET.

      Returns:
        Future response.

    - #### hsetnx

          default Future<Response> hsetnx​(String arg0,
                                          String arg1,
                                          String arg2)

      Set the value of a hash field, only if the field does not exist.

      Redis command HSETNX.

      Returns:
        Future response.

    - #### hstrlen

          default Future<Response> hstrlen​(String arg0,
                                           String arg1)

      Get the length of the value of a hash field.

      Redis command HSTRLEN.

      Returns:
        Future response.

    - #### hvals

          default Future<Response> hvals​(String arg0)

      Get all the values in a hash.

      Redis command HVALS.

      Returns:
        Future response.

    - #### incr

          default Future<Response> incr​(String arg0)

      Increment the integer value of a key by one.

      Redis command INCR.

      Returns:
        Future response.

    - #### incrby

          default Future<Response> incrby​(String arg0,
                                          String arg1)

      Increment the integer value of a key by the given amount.

      Redis command INCRBY.

      Returns:
        Future response.

    - #### incrbyfloat

          default Future<Response> incrbyfloat​(String arg0,
                                               String arg1)

      Increment the float value of a key by the given amount.

      Redis command INCRBYFLOAT.

      Returns:
        Future response.

    - #### info

          default Future<Response> info​(List<String> args)

      Get information and statistics about the server.

      Redis command INFO.

      Returns:
        Future response.

    - #### jsonArrappend

          default Future<Response> jsonArrappend​(List<String> args)

      Redis command JSON.ARRAPPEND.
      Returns:
        Future response.

    - #### jsonArrindex

          default Future<Response> jsonArrindex​(List<String> args)

      Redis command JSON.ARRINDEX.
      Returns:
        Future response.

    - #### jsonArrinsert

          default Future<Response> jsonArrinsert​(List<String> args)

      Redis command JSON.ARRINSERT.
      Returns:
        Future response.

    - #### jsonArrlen

          default Future<Response> jsonArrlen​(List<String> args)

      Redis command JSON.ARRLEN.
      Returns:
        Future response.

    - #### jsonArrpop

          default Future<Response> jsonArrpop​(List<String> args)

      Redis command JSON.ARRPOP.
      Returns:
        Future response.

    - #### jsonArrtrim

          default Future<Response> jsonArrtrim​(List<String> args)

      Redis command JSON.ARRTRIM.
      Returns:
        Future response.

    - #### jsonClear

          default Future<Response> jsonClear​(List<String> args)

      Redis command JSON.CLEAR.
      Returns:
        Future response.

    - #### jsonDebug

          default Future<Response> jsonDebug​(List<String> args)

      Redis command JSON.DEBUG.
      Returns:
        Future response.

    - #### jsonDel

          default Future<Response> jsonDel​(List<String> args)

      Redis command JSON.DEL.
      Returns:
        Future response.

    - #### jsonForget

          default Future<Response> jsonForget​(List<String> args)

      Redis command JSON.FORGET.
      Returns:
        Future response.

    - #### jsonGet

          default Future<Response> jsonGet​(List<String> args)

      Redis command JSON.GET.
      Returns:
        Future response.

    - #### jsonMget

          default Future<Response> jsonMget​(List<String> args)

      Redis command JSON.MGET.
      Returns:
        Future response.

    - #### jsonNumincrby

          default Future<Response> jsonNumincrby​(List<String> args)

      Redis command JSON.NUMINCRBY.
      Returns:
        Future response.

    - #### jsonNummultby

          default Future<Response> jsonNummultby​(List<String> args)

      Redis command JSON.NUMMULTBY.
      Returns:
        Future response.

    - #### jsonNumpowby

          default Future<Response> jsonNumpowby​(List<String> args)

      Redis command JSON.NUMPOWBY.
      Returns:
        Future response.

    - #### jsonObjkeys

          default Future<Response> jsonObjkeys​(List<String> args)

      Redis command JSON.OBJKEYS.
      Returns:
        Future response.

    - #### jsonObjlen

          default Future<Response> jsonObjlen​(List<String> args)

      Redis command JSON.OBJLEN.
      Returns:
        Future response.

    - #### jsonResp

          default Future<Response> jsonResp​(List<String> args)

      Redis command JSON.RESP.
      Returns:
        Future response.

    - #### jsonSet

          default Future<Response> jsonSet​(List<String> args)

      Redis command JSON.SET.
      Returns:
        Future response.

    - #### jsonStrappend

          default Future<Response> jsonStrappend​(List<String> args)

      Redis command JSON.STRAPPEND.
      Returns:
        Future response.

    - #### jsonStrlen

          default Future<Response> jsonStrlen​(List<String> args)

      Redis command JSON.STRLEN.
      Returns:
        Future response.

    - #### jsonToggle

          default Future<Response> jsonToggle​(List<String> args)

      Redis command JSON.TOGGLE.
      Returns:
        Future response.

    - #### jsonType

          default Future<Response> jsonType​(List<String> args)

      Redis command JSON.TYPE.
      Returns:
        Future response.

    - #### keys

          default Future<Response> keys​(String arg0)

      Find all keys matching the given pattern.

      Redis command KEYS.

      Returns:
        Future response.

    - #### lastsave

          default Future<Response> lastsave()

      Get the UNIX time stamp of the last successful save to disk.

      Redis command LASTSAVE.

      Returns:
        Future response.

    - #### latency

          default Future<Response> latency​(List<String> args)

      A container for latency diagnostics commands.

      Redis command LATENCY.

      Returns:
        Future response.

    - #### lcs

          default Future<Response> lcs​(List<String> args)

      Find longest common substring.

      Redis command LCS.

      Returns:
        Future response.

    - #### lindex

          default Future<Response> lindex​(String arg0,
                                          String arg1)

      Get an element from a list by its index.

      Redis command LINDEX.

      Returns:
        Future response.

    - #### linsert

          default Future<Response> linsert​(String arg0,
                                           String arg1,
                                           String arg2,
                                           String arg3)

      Insert an element before or after another element in a list.

      Redis command LINSERT.

      Returns:
        Future response.

    - #### llen

          default Future<Response> llen​(String arg0)

      Get the length of a list.

      Redis command LLEN.

      Returns:
        Future response.

    - #### lmove

          default Future<Response> lmove​(String arg0,
                                         String arg1,
                                         String arg2,
                                         String arg3)

      Pop an element from a list, push it to another list and return it.

      Redis command LMOVE.

      Returns:
        Future response.

    - #### lmpop

          default Future<Response> lmpop​(List<String> args)

      Pop elements from a list.

      Redis command LMPOP.

      Returns:
        Future response.

    - #### lolwut

          default Future<Response> lolwut​(List<String> args)

      Display some computer art and the Redis version.

      Redis command LOLWUT.

      Returns:
        Future response.

    - #### lpop

          default Future<Response> lpop​(List<String> args)

      Remove and get the first elements in a list.

      Redis command LPOP.

      Returns:
        Future response.

    - #### lpos

          default Future<Response> lpos​(List<String> args)

      Return the index of matching elements on a list.

      Redis command LPOS.

      Returns:
        Future response.

    - #### lpush

          default Future<Response> lpush​(List<String> args)

      Prepend one or multiple elements to a list.

      Redis command LPUSH.

      Returns:
        Future response.

    - #### lpushx

          default Future<Response> lpushx​(List<String> args)

      Prepend an element to a list, only if the list exists.

      Redis command LPUSHX.

      Returns:
        Future response.

    - #### lrange

          default Future<Response> lrange​(String arg0,
                                          String arg1,
                                          String arg2)

      Get a range of elements from a list.

      Redis command LRANGE.

      Returns:
        Future response.

    - #### lrem

          default Future<Response> lrem​(String arg0,
                                        String arg1,
                                        String arg2)

      Remove elements from a list.

      Redis command LREM.

      Returns:
        Future response.

    - #### lset

          default Future<Response> lset​(String arg0,
                                        String arg1,
                                        String arg2)

      Set the value of an element in a list by its index.

      Redis command LSET.

      Returns:
        Future response.

    - #### ltrim

          default Future<Response> ltrim​(String arg0,
                                         String arg1,
                                         String arg2)

      Trim a list to the specified range.

      Redis command LTRIM.

      Returns:
        Future response.

    - #### memory

          default Future<Response> memory​(List<String> args)

      A container for memory diagnostics commands.

      Redis command MEMORY.

      Returns:
        Future response.

    - #### mget

          default Future<Response> mget​(List<String> args)

      Get the values of all the given keys.

      Redis command MGET.

      Returns:
        Future response.

    - #### migrate

          default Future<Response> migrate​(List<String> args)

      Atomically transfer a key from a Redis instance to another one.

      Redis command MIGRATE.

      Returns:
        Future response.

    - #### module

          default Future<Response> module​(List<String> args)

      A container for module commands.

      Redis command MODULE.

      Returns:
        Future response.

    - #### monitor

          default Future<Response> monitor()

      Listen for all requests received by the server in real time.

      Redis command MONITOR.

      Returns:
        Future response.

    - #### move

          default Future<Response> move​(String arg0,
                                        String arg1)

      Move a key to another database.

      Redis command MOVE.

      Returns:
        Future response.

    - #### mset

          default Future<Response> mset​(List<String> args)

      Set multiple keys to multiple values.

      Redis command MSET.

      Returns:
        Future response.

    - #### msetnx

          default Future<Response> msetnx​(List<String> args)

      Set multiple keys to multiple values, only if none of the keys exist.

      Redis command MSETNX.

      Returns:
        Future response.

    - #### multi

          default Future<Response> multi()

      Mark the start of a transaction block.

      Redis command MULTI.

      Returns:
        Future response.

    - #### object

          default Future<Response> object​(List<String> args)

      A container for object introspection commands.

      Redis command OBJECT.

      Returns:
        Future response.

    - #### persist

          default Future<Response> persist​(String arg0)

      Remove the expiration from a key.

      Redis command PERSIST.

      Returns:
        Future response.

    - #### pexpire

          default Future<Response> pexpire​(List<String> args)

      Set a key's time to live in milliseconds.

      Redis command PEXPIRE.

      Returns:
        Future response.

    - #### pexpireat

          default Future<Response> pexpireat​(List<String> args)

      Set the expiration for a key as a UNIX timestamp specified in milliseconds.

      Redis command PEXPIREAT.

      Returns:
        Future response.

    - #### pexpiretime

          default Future<Response> pexpiretime​(String arg0)

      Get the expiration Unix timestamp for a key in milliseconds.

      Redis command PEXPIRETIME.

      Returns:
        Future response.

    - #### pfadd

          default Future<Response> pfadd​(List<String> args)

      Adds the specified elements to the specified HyperLogLog.

      Redis command PFADD.

      Returns:
        Future response.

    - #### pfcount

          default Future<Response> pfcount​(List<String> args)

      Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).

      Redis command PFCOUNT.

      Returns:
        Future response.

    - #### pfdebug

          default Future<Response> pfdebug​(String arg0,
                                           String arg1)

      Internal commands for debugging HyperLogLog values.

      Redis command PFDEBUG.

      Returns:
        Future response.

    - #### pfmerge

          default Future<Response> pfmerge​(List<String> args)

      Merge N different HyperLogLogs into a single one.

      Redis command PFMERGE.

      Returns:
        Future response.

    - #### pfselftest

          default Future<Response> pfselftest()

      An internal command for testing HyperLogLog values.

      Redis command PFSELFTEST.

      Returns:
        Future response.

    - #### ping

          default Future<Response> ping​(List<String> args)

      Ping the server.

      Redis command PING.

      Returns:
        Future response.

    - #### psetex

          default Future<Response> psetex​(String arg0,
                                          String arg1,
                                          String arg2)

      Set the value and expiration in milliseconds of a key.

      Redis command PSETEX.

      Returns:
        Future response.

    - #### psubscribe

          default Future<Response> psubscribe​(List<String> args)

      Listen for messages published to channels matching the given patterns.

      Redis command PSUBSCRIBE.

      Returns:
        Future response.

    - #### psync

          default Future<Response> psync​(List<String> args)

      Internal command used for replication.

      Redis command PSYNC.

      Returns:
        Future response.

    - #### pttl

          default Future<Response> pttl​(String arg0)

      Get the time to live for a key in milliseconds.

      Redis command PTTL.

      Returns:
        Future response.

    - #### publish

          default Future<Response> publish​(String arg0,
                                           String arg1)

      Post a message to a channel.

      Redis command PUBLISH.

      Returns:
        Future response.

    - #### pubsub

          default Future<Response> pubsub​(List<String> args)

      A container for Pub/Sub commands.

      Redis command PUBSUB.

      Returns:
        Future response.

    - #### punsubscribe

          default Future<Response> punsubscribe​(List<String> args)

      Stop listening for messages posted to channels matching the given patterns.

      Redis command PUNSUBSCRIBE.

      Returns:
        Future response.

    - #### quit

          default Future<Response> quit​(List<String> args)

      Close the connection.

      Redis command QUIT.

      Returns:
        Future response.

    - #### randomkey

          default Future<Response> randomkey()

      Return a random key from the keyspace.

      Redis command RANDOMKEY.

      Returns:
        Future response.

    - #### readonly

          default Future<Response> readonly()

      Enables read queries for a connection to a cluster replica node.

      Redis command READONLY.

      Returns:
        Future response.

    - #### readwrite

          default Future<Response> readwrite()

      Disables read queries for a connection to a cluster replica node.

      Redis command READWRITE.

      Returns:
        Future response.

    - #### rename

          default Future<Response> rename​(String arg0,
                                          String arg1)

      Rename a key.

      Redis command RENAME.

      Returns:
        Future response.

    - #### renamenx

          default Future<Response> renamenx​(String arg0,
                                            String arg1)

      Rename a key, only if the new key does not exist.

      Redis command RENAMENX.

      Returns:
        Future response.

    - #### replconf

          default Future<Response> replconf​(List<String> args)

      An internal command for configuring the replication stream.

      Redis command REPLCONF.

      Returns:
        Future response.

    - #### replicaof

          default Future<Response> replicaof​(String arg0,
                                             String arg1)

      Make the server a replica of another instance, or promote it as master.

      Redis command REPLICAOF.

      Returns:
        Future response.

    - #### reset

          default Future<Response> reset()

      Reset the connection.

      Redis command RESET.

      Returns:
        Future response.

    - #### restore

          default Future<Response> restore​(List<String> args)

      Create a key using the provided serialized value, previously obtained using DUMP.

      Redis command RESTORE.

      Returns:
        Future response.

    - #### restoreAsking

          default Future<Response> restoreAsking​(List<String> args)

      An internal command for migrating keys in a cluster.

      Redis command RESTORE-ASKING.

      Returns:
        Future response.

    - #### role

          default Future<Response> role()

      Return the role of the instance in the context of replication.

      Redis command ROLE.

      Returns:
        Future response.

    - #### rpop

          default Future<Response> rpop​(List<String> args)

      Remove and get the last elements in a list.

      Redis command RPOP.

      Returns:
        Future response.

    - #### rpoplpush

          @Deprecated
          default Future<Response> rpoplpush​(String arg0,
                                             String arg1)

      Deprecated.
      since: 6.2.0, replaced by: `LMOVE` with the `RIGHT` and `LEFT` arguments
      Remove the last element in a list, prepend it to another list and return it.

      Redis command RPOPLPUSH.

      Returns:
        Future response.

    - #### rpush

          default Future<Response> rpush​(List<String> args)

      Append one or multiple elements to a list.

      Redis command RPUSH.

      Returns:
        Future response.

    - #### rpushx

          default Future<Response> rpushx​(List<String> args)

      Append an element to a list, only if the list exists.

      Redis command RPUSHX.

      Returns:
        Future response.

    - #### sadd

          default Future<Response> sadd​(List<String> args)

      Add one or more members to a set.

      Redis command SADD.

      Returns:
        Future response.

    - #### save

          default Future<Response> save()

      Synchronously save the dataset to disk.

      Redis command SAVE.

      Returns:
        Future response.

    - #### scan

          default Future<Response> scan​(List<String> args)

      Incrementally iterate the keys space.

      Redis command SCAN.

      Returns:
        Future response.

    - #### scard

          default Future<Response> scard​(String arg0)

      Get the number of members in a set.

      Redis command SCARD.

      Returns:
        Future response.

    - #### script

          default Future<Response> script​(List<String> args)

      A container for Lua scripts management commands.

      Redis command SCRIPT.

      Returns:
        Future response.

    - #### sdiff

          default Future<Response> sdiff​(List<String> args)

      Subtract multiple sets.

      Redis command SDIFF.

      Returns:
        Future response.

    - #### sdiffstore

          default Future<Response> sdiffstore​(List<String> args)

      Subtract multiple sets and store the resulting set in a key.

      Redis command SDIFFSTORE.

      Returns:
        Future response.

    - #### select

          default Future<Response> select​(String arg0)

      Change the selected database for the current connection.

      Redis command SELECT.

      Returns:
        Future response.

    - #### set

          default Future<Response> set​(List<String> args)

      Set the string value of a key.

      Redis command SET.

      Returns:
        Future response.

    - #### setbit

          default Future<Response> setbit​(String arg0,
                                          String arg1,
                                          String arg2)

      Sets or clears the bit at offset in the string value stored at key.

      Redis command SETBIT.

      Returns:
        Future response.

    - #### setex

          default Future<Response> setex​(String arg0,
                                         String arg1,
                                         String arg2)

      Set the value and expiration of a key.

      Redis command SETEX.

      Returns:
        Future response.

    - #### setnx

          default Future<Response> setnx​(String arg0,
                                         String arg1)

      Set the value of a key, only if the key does not exist.

      Redis command SETNX.

      Returns:
        Future response.

    - #### setrange

          default Future<Response> setrange​(String arg0,
                                            String arg1,
                                            String arg2)

      Overwrite part of a string at key starting at the specified offset.

      Redis command SETRANGE.

      Returns:
        Future response.

    - #### shutdown

          default Future<Response> shutdown​(List<String> args)

      Synchronously save the dataset to disk and then shut down the server.

      Redis command SHUTDOWN.

      Returns:
        Future response.

    - #### sinter

          default Future<Response> sinter​(List<String> args)

      Intersect multiple sets.

      Redis command SINTER.

      Returns:
        Future response.

    - #### sintercard

          default Future<Response> sintercard​(List<String> args)

      Intersect multiple sets and return the cardinality of the result.

      Redis command SINTERCARD.

      Returns:
        Future response.

    - #### sinterstore

          default Future<Response> sinterstore​(List<String> args)

      Intersect multiple sets and store the resulting set in a key.

      Redis command SINTERSTORE.

      Returns:
        Future response.

    - #### sismember

          default Future<Response> sismember​(String arg0,
                                             String arg1)

      Determine if a given value is a member of a set.

      Redis command SISMEMBER.

      Returns:
        Future response.

    - #### slaveof

          @Deprecated
          default Future<Response> slaveof​(String arg0,
                                           String arg1)

      Deprecated.
      since: 5.0.0, replaced by: `REPLICAOF`
      Make the server a replica of another instance, or promote it as master.

      Redis command SLAVEOF.

      Returns:
        Future response.

    - #### slowlog

          default Future<Response> slowlog​(List<String> args)

      A container for slow log commands.

      Redis command SLOWLOG.

      Returns:
        Future response.

    - #### smembers

          default Future<Response> smembers​(String arg0)

      Get all the members in a set.

      Redis command SMEMBERS.

      Returns:
        Future response.

    - #### smismember

          default Future<Response> smismember​(List<String> args)

      Returns the membership associated with the given elements for a set.

      Redis command SMISMEMBER.

      Returns:
        Future response.

    - #### smove

          default Future<Response> smove​(String arg0,
                                         String arg1,
                                         String arg2)

      Move a member from one set to another.

      Redis command SMOVE.

      Returns:
        Future response.

    - #### sort

          default Future<Response> sort​(List<String> args)

      Sort the elements in a list, set or sorted set.

      Redis command SORT.

      Returns:
        Future response.

    - #### sortRo

          default Future<Response> sortRo​(List<String> args)

      Sort the elements in a list, set or sorted set. Read-only variant of SORT.

      Redis command SORT_RO.

      Returns:
        Future response.

    - #### spop

          default Future<Response> spop​(List<String> args)

      Remove and return one or multiple random members from a set.

      Redis command SPOP.

      Returns:
        Future response.

    - #### spublish

          default Future<Response> spublish​(String arg0,
                                            String arg1)

      Post a message to a shard channel.

      Redis command SPUBLISH.

      Returns:
        Future response.

    - #### srandmember

          default Future<Response> srandmember​(List<String> args)

      Get one or multiple random members from a set.

      Redis command SRANDMEMBER.

      Returns:
        Future response.

    - #### srem

          default Future<Response> srem​(List<String> args)

      Remove one or more members from a set.

      Redis command SREM.

      Returns:
        Future response.

    - #### sscan

          default Future<Response> sscan​(List<String> args)

      Incrementally iterate Set elements.

      Redis command SSCAN.

      Returns:
        Future response.

    - #### ssubscribe

          default Future<Response> ssubscribe​(List<String> args)

      Listen for messages published to the given shard channels.

      Redis command SSUBSCRIBE.

      Returns:
        Future response.

    - #### strlen

          default Future<Response> strlen​(String arg0)

      Get the length of the value stored in a key.

      Redis command STRLEN.

      Returns:
        Future response.

    - #### subscribe

          default Future<Response> subscribe​(List<String> args)

      Listen for messages published to the given channels.

      Redis command SUBSCRIBE.

      Returns:
        Future response.

    - #### substr

          @Deprecated
          default Future<Response> substr​(String arg0,
                                          String arg1,
                                          String arg2)

      Deprecated.
      since: 2.0.0, replaced by: `GETRANGE`
      Get a substring of the string stored at a key.

      Redis command SUBSTR.

      Returns:
        Future response.

    - #### sunion

          default Future<Response> sunion​(List<String> args)

      Add multiple sets.

      Redis command SUNION.

      Returns:
        Future response.

    - #### sunionstore

          default Future<Response> sunionstore​(List<String> args)

      Add multiple sets and store the resulting set in a key.

      Redis command SUNIONSTORE.

      Returns:
        Future response.

    - #### sunsubscribe

          default Future<Response> sunsubscribe​(List<String> args)

      Stop listening for messages posted to the given shard channels.

      Redis command SUNSUBSCRIBE.

      Returns:
        Future response.

    - #### swapdb

          default Future<Response> swapdb​(String arg0,
                                          String arg1)

      Swaps two Redis databases.

      Redis command SWAPDB.

      Returns:
        Future response.

    - #### sync

          default Future<Response> sync()

      Internal command used for replication.

      Redis command SYNC.

      Returns:
        Future response.

    - #### tdigestAdd

          default Future<Response> tdigestAdd​(List<String> args)

      Redis command TDIGEST.ADD.
      Returns:
        Future response.

    - #### tdigestByrank

          default Future<Response> tdigestByrank​(List<String> args)

      Redis command TDIGEST.BYRANK.
      Returns:
        Future response.

    - #### tdigestByrevrank

          default Future<Response> tdigestByrevrank​(List<String> args)

      Redis command TDIGEST.BYREVRANK.
      Returns:
        Future response.

    - #### tdigestCdf

          default Future<Response> tdigestCdf​(List<String> args)

      Redis command TDIGEST.CDF.
      Returns:
        Future response.

    - #### tdigestCreate

          default Future<Response> tdigestCreate​(List<String> args)

      Redis command TDIGEST.CREATE.
      Returns:
        Future response.

    - #### tdigestInfo

          default Future<Response> tdigestInfo​(List<String> args)

      Redis command TDIGEST.INFO.
      Returns:
        Future response.

    - #### tdigestMax

          default Future<Response> tdigestMax​(List<String> args)

      Redis command TDIGEST.MAX.
      Returns:
        Future response.

    - #### tdigestMerge

          default Future<Response> tdigestMerge​(List<String> args)

      Redis command TDIGEST.MERGE.
      Returns:
        Future response.

    - #### tdigestMin

          default Future<Response> tdigestMin​(List<String> args)

      Redis command TDIGEST.MIN.
      Returns:
        Future response.

    - #### tdigestQuantile

          default Future<Response> tdigestQuantile​(List<String> args)

      Redis command TDIGEST.QUANTILE.
      Returns:
        Future response.

    - #### tdigestRank

          default Future<Response> tdigestRank​(List<String> args)

      Redis command TDIGEST.RANK.
      Returns:
        Future response.

    - #### tdigestReset

          default Future<Response> tdigestReset​(List<String> args)

      Redis command TDIGEST.RESET.
      Returns:
        Future response.

    - #### tdigestRevrank

          default Future<Response> tdigestRevrank​(List<String> args)

      Redis command TDIGEST.REVRANK.
      Returns:
        Future response.

    - #### tdigestTrimmedMean

          default Future<Response> tdigestTrimmedMean​(List<String> args)

      Redis command TDIGEST.TRIMMED_MEAN.
      Returns:
        Future response.

    - #### time

          default Future<Response> time()

      Return the current server time.

      Redis command TIME.

      Returns:
        Future response.

    - #### timeseriesClusterset

          default Future<Response> timeseriesClusterset​(List<String> args)

      Redis command TIMESERIES.CLUSTERSET.
      Returns:
        Future response.

    - #### timeseriesClustersetfromshard

          default Future<Response> timeseriesClustersetfromshard​(List<String> args)

      Redis command TIMESERIES.CLUSTERSETFROMSHARD.
      Returns:
        Future response.

    - #### timeseriesHello

          default Future<Response> timeseriesHello​(List<String> args)

      Redis command TIMESERIES.HELLO.
      Returns:
        Future response.

    - #### timeseriesInfocluster

          default Future<Response> timeseriesInfocluster​(List<String> args)

      Redis command TIMESERIES.INFOCLUSTER.
      Returns:
        Future response.

    - #### timeseriesInnercommunication

          default Future<Response> timeseriesInnercommunication​(List<String> args)

      Redis command TIMESERIES.INNERCOMMUNICATION.
      Returns:
        Future response.

    - #### timeseriesNetworktest

          default Future<Response> timeseriesNetworktest​(List<String> args)

      Redis command TIMESERIES.NETWORKTEST.
      Returns:
        Future response.

    - #### timeseriesRefreshcluster

          default Future<Response> timeseriesRefreshcluster​(List<String> args)

      Redis command TIMESERIES.REFRESHCLUSTER.
      Returns:
        Future response.

    - #### topkAdd

          default Future<Response> topkAdd​(List<String> args)

      Redis command TOPK.ADD.
      Returns:
        Future response.

    - #### topkCount

          default Future<Response> topkCount​(List<String> args)

      Redis command TOPK.COUNT.
      Returns:
        Future response.

    - #### topkIncrby

          default Future<Response> topkIncrby​(List<String> args)

      Redis command TOPK.INCRBY.
      Returns:
        Future response.

    - #### topkInfo

          default Future<Response> topkInfo​(List<String> args)

      Redis command TOPK.INFO.
      Returns:
        Future response.

    - #### topkList

          default Future<Response> topkList​(List<String> args)

      Redis command TOPK.LIST.
      Returns:
        Future response.

    - #### topkQuery

          default Future<Response> topkQuery​(List<String> args)

      Redis command TOPK.QUERY.
      Returns:
        Future response.

    - #### topkReserve

          default Future<Response> topkReserve​(List<String> args)

      Redis command TOPK.RESERVE.
      Returns:
        Future response.

    - #### touch

          default Future<Response> touch​(List<String> args)

      Alters the last access time of a key(s). Returns the number of existing keys specified.

      Redis command TOUCH.

      Returns:
        Future response.

    - #### tsAdd

          default Future<Response> tsAdd​(List<String> args)

      Redis command TS.ADD.
      Returns:
        Future response.

    - #### tsAlter

          default Future<Response> tsAlter​(List<String> args)

      Redis command TS.ALTER.
      Returns:
        Future response.

    - #### tsCreate

          default Future<Response> tsCreate​(List<String> args)

      Redis command TS.CREATE.
      Returns:
        Future response.

    - #### tsCreaterule

          default Future<Response> tsCreaterule​(List<String> args)

      Redis command TS.CREATERULE.
      Returns:
        Future response.

    - #### tsDecrby

          default Future<Response> tsDecrby​(List<String> args)

      Redis command TS.DECRBY.
      Returns:
        Future response.

    - #### tsDel

          default Future<Response> tsDel​(List<String> args)

      Redis command TS.DEL.
      Returns:
        Future response.

    - #### tsDeleterule

          default Future<Response> tsDeleterule​(List<String> args)

      Redis command TS.DELETERULE.
      Returns:
        Future response.

    - #### tsGet

          default Future<Response> tsGet​(List<String> args)

      Redis command TS.GET.
      Returns:
        Future response.

    - #### tsIncrby

          default Future<Response> tsIncrby​(List<String> args)

      Redis command TS.INCRBY.
      Returns:
        Future response.

    - #### tsInfo

          default Future<Response> tsInfo​(List<String> args)

      Redis command TS.INFO.
      Returns:
        Future response.

    - #### tsMadd

          default Future<Response> tsMadd​(List<String> args)

      Redis command TS.MADD.
      Returns:
        Future response.

    - #### tsMget

          default Future<Response> tsMget​(List<String> args)

      Redis command TS.MGET.
      Returns:
        Future response.

    - #### tsMrange

          default Future<Response> tsMrange​(List<String> args)

      Redis command TS.MRANGE.
      Returns:
        Future response.

    - #### tsMrevrange

          default Future<Response> tsMrevrange​(List<String> args)

      Redis command TS.MREVRANGE.
      Returns:
        Future response.

    - #### tsQueryindex

          default Future<Response> tsQueryindex​(List<String> args)

      Redis command TS.QUERYINDEX.
      Returns:
        Future response.

    - #### tsRange

          default Future<Response> tsRange​(List<String> args)

      Redis command TS.RANGE.
      Returns:
        Future response.

    - #### tsRevrange

          default Future<Response> tsRevrange​(List<String> args)

      Redis command TS.REVRANGE.
      Returns:
        Future response.

    - #### ttl

          default Future<Response> ttl​(String arg0)

      Get the time to live for a key in seconds.

      Redis command TTL.

      Returns:
        Future response.

    - #### type

          default Future<Response> type​(String arg0)

      Determine the type stored at key.

      Redis command TYPE.

      Returns:
        Future response.

    - #### unlink

          default Future<Response> unlink​(List<String> args)

      Delete a key asynchronously in another thread. Otherwise it is just as DEL, but non blocking.

      Redis command UNLINK.

      Returns:
        Future response.

    - #### unsubscribe

          default Future<Response> unsubscribe​(List<String> args)

      Stop listening for messages posted to the given channels.

      Redis command UNSUBSCRIBE.

      Returns:
        Future response.

    - #### unwatch

          default Future<Response> unwatch()

      Forget about all watched keys.

      Redis command UNWATCH.

      Returns:
        Future response.

    - #### wait

          default Future<Response> wait​(String arg0,
                                        String arg1)

      Wait for the synchronous replication of all the write commands sent in the context of the current connection.

      Redis command WAIT.

      Returns:
        Future response.

    - #### watch

          default Future<Response> watch​(List<String> args)

      Watch the given keys to determine execution of the MULTI/EXEC block.

      Redis command WATCH.

      Returns:
        Future response.

    - #### xack

          default Future<Response> xack​(List<String> args)

      Marks a pending message as correctly processed, effectively removing it from the pending entries list of the consumer group. Return value of the command is the number of messages successfully acknowledged, that is, the IDs we were actually able to resolve in the PEL.

      Redis command XACK.

      Returns:
        Future response.

    - #### xadd

          default Future<Response> xadd​(List<String> args)

      Appends a new entry to a stream.

      Redis command XADD.

      Returns:
        Future response.

    - #### xautoclaim

          default Future<Response> xautoclaim​(List<String> args)

      Changes (or acquires) ownership of messages in a consumer group, as if the messages were delivered to the specified consumer.

      Redis command XAUTOCLAIM.

      Returns:
        Future response.

    - #### xclaim

          default Future<Response> xclaim​(List<String> args)

      Changes (or acquires) ownership of a message in a consumer group, as if the message was delivered to the specified consumer.

      Redis command XCLAIM.

      Returns:
        Future response.

    - #### xdel

          default Future<Response> xdel​(List<String> args)

      Removes the specified entries from the stream. Returns the number of items actually deleted, that may be different from the number of IDs passed in case certain IDs do not exist.

      Redis command XDEL.

      Returns:
        Future response.

    - #### xgroup

          default Future<Response> xgroup​(List<String> args)

      A container for consumer groups commands.

      Redis command XGROUP.

      Returns:
        Future response.

    - #### xinfo

          default Future<Response> xinfo​(List<String> args)

      A container for stream introspection commands.

      Redis command XINFO.

      Returns:
        Future response.

    - #### xlen

          default Future<Response> xlen​(String arg0)

      Return the number of entries in a stream.

      Redis command XLEN.

      Returns:
        Future response.

    - #### xpending

          default Future<Response> xpending​(List<String> args)

      Return information and entries from a stream consumer group pending entries list, that are messages fetched but never acknowledged.

      Redis command XPENDING.

      Returns:
        Future response.

    - #### xrange

          default Future<Response> xrange​(List<String> args)

      Return a range of elements in a stream, with IDs matching the specified IDs interval.

      Redis command XRANGE.

      Returns:
        Future response.

    - #### xread

          default Future<Response> xread​(List<String> args)

      Return never seen elements in multiple streams, with IDs greater than the ones reported by the caller for each stream. Can block.

      Redis command XREAD.

      Returns:
        Future response.

    - #### xreadgroup

          default Future<Response> xreadgroup​(List<String> args)

      Return new entries from a stream using a consumer group, or access the history of the pending entries for a given consumer. Can block.

      Redis command XREADGROUP.

      Returns:
        Future response.

    - #### xrevrange

          default Future<Response> xrevrange​(List<String> args)

      Return a range of elements in a stream, with IDs matching the specified IDs interval, in reverse order (from greater to smaller IDs) compared to XRANGE.

      Redis command XREVRANGE.

      Returns:
        Future response.

    - #### xsetid

          default Future<Response> xsetid​(List<String> args)

      An internal command for replicating stream values.

      Redis command XSETID.

      Returns:
        Future response.

    - #### xtrim

          default Future<Response> xtrim​(List<String> args)

      Trims the stream to (approximately if '~' is passed) a certain size.

      Redis command XTRIM.

      Returns:
        Future response.

    - #### zadd

          default Future<Response> zadd​(List<String> args)

      Add one or more members to a sorted set, or update its score if it already exists.

      Redis command ZADD.

      Returns:
        Future response.

    - #### zcard

          default Future<Response> zcard​(String arg0)

      Get the number of members in a sorted set.

      Redis command ZCARD.

      Returns:
        Future response.

    - #### zcount

          default Future<Response> zcount​(String arg0,
                                          String arg1,
                                          String arg2)

      Count the members in a sorted set with scores within the given values.

      Redis command ZCOUNT.

      Returns:
        Future response.

    - #### zdiff

          default Future<Response> zdiff​(List<String> args)

      Subtract multiple sorted sets.

      Redis command ZDIFF.

      Returns:
        Future response.

    - #### zdiffstore

          default Future<Response> zdiffstore​(List<String> args)

      Subtract multiple sorted sets and store the resulting sorted set in a new key.

      Redis command ZDIFFSTORE.

      Returns:
        Future response.

    - #### zincrby

          default Future<Response> zincrby​(String arg0,
                                           String arg1,
                                           String arg2)

      Increment the score of a member in a sorted set.

      Redis command ZINCRBY.

      Returns:
        Future response.

    - #### zinter

          default Future<Response> zinter​(List<String> args)

      Intersect multiple sorted sets.

      Redis command ZINTER.

      Returns:
        Future response.

    - #### zintercard

          default Future<Response> zintercard​(List<String> args)

      Intersect multiple sorted sets and return the cardinality of the result.

      Redis command ZINTERCARD.

      Returns:
        Future response.

    - #### zinterstore

          default Future<Response> zinterstore​(List<String> args)

      Intersect multiple sorted sets and store the resulting sorted set in a new key.

      Redis command ZINTERSTORE.

      Returns:
        Future response.

    - #### zlexcount

          default Future<Response> zlexcount​(String arg0,
                                             String arg1,
                                             String arg2)

      Count the number of members in a sorted set between a given lexicographical range.

      Redis command ZLEXCOUNT.

      Returns:
        Future response.

    - #### zmpop

          default Future<Response> zmpop​(List<String> args)

      Remove and return members with scores in a sorted set.

      Redis command ZMPOP.

      Returns:
        Future response.

    - #### zmscore

          default Future<Response> zmscore​(List<String> args)

      Get the score associated with the given members in a sorted set.

      Redis command ZMSCORE.

      Returns:
        Future response.

    - #### zpopmax

          default Future<Response> zpopmax​(List<String> args)

      Remove and return members with the highest scores in a sorted set.

      Redis command ZPOPMAX.

      Returns:
        Future response.

    - #### zpopmin

          default Future<Response> zpopmin​(List<String> args)

      Remove and return members with the lowest scores in a sorted set.

      Redis command ZPOPMIN.

      Returns:
        Future response.

    - #### zrandmember

          default Future<Response> zrandmember​(List<String> args)

      Get one or multiple random elements from a sorted set.

      Redis command ZRANDMEMBER.

      Returns:
        Future response.

    - #### zrange

          default Future<Response> zrange​(List<String> args)

      Return a range of members in a sorted set.

      Redis command ZRANGE.

      Returns:
        Future response.

    - #### zrangebylex

          @Deprecated
          default Future<Response> zrangebylex​(List<String> args)

      Deprecated.
      since: 6.2.0, replaced by: `ZRANGE` with the `BYLEX` argument
      Return a range of members in a sorted set, by lexicographical range.

      Redis command ZRANGEBYLEX.

      Returns:
        Future response.

    - #### zrangebyscore

          @Deprecated
          default Future<Response> zrangebyscore​(List<String> args)

      Deprecated.
      since: 6.2.0, replaced by: `ZRANGE` with the `BYSCORE` argument
      Return a range of members in a sorted set, by score.

      Redis command ZRANGEBYSCORE.

      Returns:
        Future response.

    - #### zrangestore

          default Future<Response> zrangestore​(List<String> args)

      Store a range of members from sorted set into another key.

      Redis command ZRANGESTORE.

      Returns:
        Future response.

    - #### zrank

          default Future<Response> zrank​(String arg0,
                                         String arg1)

      Determine the index of a member in a sorted set.

      Redis command ZRANK.

      Returns:
        Future response.

    - #### zrem

          default Future<Response> zrem​(List<String> args)

      Remove one or more members from a sorted set.

      Redis command ZREM.

      Returns:
        Future response.

    - #### zremrangebylex

          default Future<Response> zremrangebylex​(String arg0,
                                                  String arg1,
                                                  String arg2)

      Remove all members in a sorted set between the given lexicographical range.

      Redis command ZREMRANGEBYLEX.

      Returns:
        Future response.

    - #### zremrangebyrank

          default Future<Response> zremrangebyrank​(String arg0,
                                                   String arg1,
                                                   String arg2)

      Remove all members in a sorted set within the given indexes.

      Redis command ZREMRANGEBYRANK.

      Returns:
        Future response.

    - #### zremrangebyscore

          default Future<Response> zremrangebyscore​(String arg0,
                                                    String arg1,
                                                    String arg2)

      Remove all members in a sorted set within the given scores.

      Redis command ZREMRANGEBYSCORE.

      Returns:
        Future response.

    - #### zrevrange

          @Deprecated
          default Future<Response> zrevrange​(List<String> args)

      Deprecated.
      since: 6.2.0, replaced by: `ZRANGE` with the `REV` argument
      Return a range of members in a sorted set, by index, with scores ordered from high to low.

      Redis command ZREVRANGE.

      Returns:
        Future response.

    - #### zrevrangebylex

          @Deprecated
          default Future<Response> zrevrangebylex​(List<String> args)

      Deprecated.
      since: 6.2.0, replaced by: `ZRANGE` with the `REV` and `BYLEX` arguments
      Return a range of members in a sorted set, by lexicographical range, ordered from higher to lower strings.

      Redis command ZREVRANGEBYLEX.

      Returns:
        Future response.

    - #### zrevrangebyscore

          @Deprecated
          default Future<Response> zrevrangebyscore​(List<String> args)

      Deprecated.
      since: 6.2.0, replaced by: `ZRANGE` with the `REV` and `BYSCORE` arguments
      Return a range of members in a sorted set, by score, with scores ordered from high to low.

      Redis command ZREVRANGEBYSCORE.

      Returns:
        Future response.

    - #### zrevrank

          default Future<Response> zrevrank​(String arg0,
                                            String arg1)

      Determine the index of a member in a sorted set, with scores ordered from high to low.

      Redis command ZREVRANK.

      Returns:
        Future response.

    - #### zscan

          default Future<Response> zscan​(List<String> args)

      Incrementally iterate sorted sets elements and associated scores.

      Redis command ZSCAN.

      Returns:
        Future response.

    - #### zscore

          default Future<Response> zscore​(String arg0,
                                          String arg1)

      Get the score associated with the given member in a sorted set.

      Redis command ZSCORE.

      Returns:
        Future response.

    - #### zunion

          default Future<Response> zunion​(List<String> args)

      Add multiple sorted sets.

      Redis command ZUNION.

      Returns:
        Future response.

    - #### zunionstore

          default Future<Response> zunionstore​(List<String> args)

      Add multiple sorted sets and store the resulting sorted set in a new key.

      Redis command ZUNIONSTORE.

      Returns:
        Future response.

    - #### send

          Future<Response> send​(Command cmd,
                                String... args)

      Send untyped command to redis.
      Parameters:
        `cmd` - the command
        `args` - var args
      Returns:
        Future response.